using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

using CMS.GlobalHelper;
using CMS.SiteProvider;
using CMS.CMSHelper;

public partial class CMSDesk_Content_SelectLinkDialog_header : CMSDeskPage
{
    protected void Page_Load(object sender, EventArgs e)
    {
        this.lblSite.Text = ResHelper.GetString("SelectLinkDialog.Site");
        this.titleElem.TitleText = ResHelper.GetString("SelectLinkDialog.Title");
        this.titleElem.TitleImage = "~/App_Themes/" + this.Theme + "/Images/CMSDesk/Content/SelectLinkDialog/title.gif";


        // Fill in the site list
        if (dropSites.Items.Count == 0)
        {
            
            // If actual user is global administrator, get all sites
            if (CMSContext.CurrentUser.IsGlobalAdministrator)
            {
                DataSet ds = SiteInfoProvider.GetAllSites();
                if (!DataHelper.DataSourceIsEmpty(ds))
                {
                    dropSites.DataSource = ds.Tables[0];
                    dropSites.DataBind();
                }
            }
            // Else get only user's sites.
            else
            {
                DataTable ds = UserInfoProvider.GetUserSites(CMSContext.CurrentUser.UserID);

                if (!DataHelper.DataSourceIsEmpty(ds))
                {
                    dropSites.DataSource = ds;
                    dropSites.DataBind();
                }
            }

            try
            {
                dropSites.SelectedValue = CMSContext.CurrentSite.SiteID.ToString();
            }
            catch
            {
            }
        }

        // refresh site when selected site changed
        this.dropSites.Attributes.Add("onchange", "RefreshSite(this);");
    }

}
