using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

using CMS.GlobalHelper;
using CMS.CMSHelper;

public partial class CMSDesk_MyDesk_WaitingForApproval : CMSDeskPage
{
    protected void Page_Load(object sender, EventArgs e)
    {
        this.titleElem.TitleImage = "~/App_Themes/" + this.Theme + "/Images/CMSDesk/MyDesk/WaitingForApproval/WaitingForApproval.gif";
        this.titleElem.TitleText = ResHelper.GetString("MyDesk.WaitingForApproval");
        gridWaitingDocs.GridView.GridLines = GridLines.Horizontal;

        object[,] parameters = new object[1, 3];
        parameters[0, 0] = "@UserID";
        parameters[0, 1] = CMSContext.CurrentUser.UserID;
        gridWaitingDocs.QueryParameters = parameters;

        gridWaitingDocs.OnExternalDataBound += new OnExternalDataBoundEventHandler(gridWaitingDocs_OnExternalDataBound);
        gridWaitingDocs.HideControlForZeroRows = true;
    }

    /// <summary>
    /// External data binding handler
    /// </summary>
    object gridWaitingDocs_OnExternalDataBound(object sender, string sourceName, object parameter)
    {
        if (sourceName.ToLower() == "classname")
        {
            string imageUrl = "../../../App_Themes/" + this.Page.Theme + "/Images/CMSDesk/Icons/" + Convert.ToString(parameter).Replace(".", "_") + ".gif";
            return "<img src=\"" + imageUrl + "\" border=\"0\"/>";
        }

        return parameter;
    }

}
