using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

using CMS.GlobalHelper;
using CMS.DataEngine;
using CMS.SiteProvider;
using CMS.Newsletter;
using CMS.CMSHelper;

public partial class CMSDesk_Tools_Newsletters_Templates_NewsletterTemplate_New : CMSDeskPage
{
    protected int siteId = 0;

    protected void Page_Load(object sender, EventArgs e)
    {
        siteId = ValidationHelper.GetInteger(Request.QueryString["siteid"], 0);

        rfvTemplateDisplayName.ErrorMessage = ResHelper.GetString("NewsletterTemplate_Edit.ErrorEmptyDisplayName");
        rfvTemplateName.ErrorMessage = ResHelper.GetString("NewsletterTemplate_Edit.ErrorEmptyName");

        lblTemplateDisplayName.Text = ResHelper.GetString("NewsletterTemplate_Edit.TemplateDisplayNameLabel");
        lblTemplateName.Text = ResHelper.GetString("NewsletterTemplate_Edit.TemplateNameLabel");
        lblTemplateType.Text = ResHelper.GetString("NewsletterTemplate_Edit.TemplateType");


        btnOK.Text = ResHelper.GetString("General.OK");

        string currentEmailTemplate = ResHelper.GetString("NewsletterTemplate_Edit.NewItemCaption");
        // initializes page title control		
        string[,] pageTitleTabs = new string[2, 3];
        pageTitleTabs[0, 0] = ResHelper.GetString("NewsletterTemplate_Edit.ItemListLink");
        pageTitleTabs[0, 1] = "~/CMSDesk/Tools/Newsletters/Templates/NewsletterTemplate_List.aspx?siteid=" + siteId.ToString();
        pageTitleTabs[0, 2] = "newslettersContent";
        pageTitleTabs[1, 0] = currentEmailTemplate;
        pageTitleTabs[1, 1] = "";
        pageTitleTabs[1, 2] = "";
        PageTitle.Breadcrumbs = pageTitleTabs;
        PageTitle.TitleText = ResHelper.GetString("NewsletterTemplate_Edit.HeaderCaption");
        PageTitle.TitleImage = "~/App_Themes/" + this.Theme + "/Images/CMSDesk/Tools/Newsletters/Templates/newtemplate.gif";

        if (!IsPostBack)
        {
            //fill drop down list with newsletter types
            ListItem newItem = new ListItem(ResHelper.GetString("NewsletterTemplate_Edit.DrpIssue"), "0");
            drpTemplateType.Items.Add(newItem);
            newItem = new ListItem(ResHelper.GetString("NewsletterTemplate_Edit.DrpSubscription"), "1");
            drpTemplateType.Items.Add(newItem);
            newItem = new ListItem(ResHelper.GetString("NewsletterTemplate_Edit.DrpUnsubscription"), "2");
            drpTemplateType.Items.Add(newItem);
            drpTemplateType.SelectedIndex = 0;
        }
    }

    /// <summary>
    /// Sets data to database.
    /// </summary>
    protected void btnOK_Click(object sender, EventArgs e)
    {
        if (!CMSContext.CurrentUser.IsAuthorizedPerResource("cms.newsletter", "managetemplates"))
        {
            CMSDeskPage.RedirectToAccessDenied("cms.newsletter", "managetemplates");
        }
        string errorMessage = new Validator().NotEmpty(txtTemplateDisplayName.Text, ResHelper.GetString("NewsletterTemplate_Edit.ErrorEmptyDisplayName")).NotEmpty(txtTemplateName.Text, ResHelper.GetString("NewsletterTemplate_Edit.ErrorEmptyName")).Result;

        if (errorMessage == "")
        {

            // templateName must to be unique
            EmailTemplate emailTemplateObj = EmailTemplateProvider.GetEmailTemplate(txtTemplateName.Text.Trim(), CMSContext.CurrentSite.SiteID);

            // if templateName value is unique														
            if (emailTemplateObj == null)
            {
                string type;
                int typeValue = Convert.ToInt32(drpTemplateType.SelectedValue);
                switch (typeValue)
                {
                    case 1:
                        type = "S"; //subscription
                        break;
                    case 2:
                        type = "U"; //Unsubscription
                        break;
                    default:
                        type = "I"; //Issue
                        break;
                }
                
                // create new item -> insert
                emailTemplateObj = new EmailTemplate();
                emailTemplateObj.TemplateType = type;
                emailTemplateObj.TemplateBody = "";
                emailTemplateObj.TemplateName = txtTemplateName.Text.Trim();
                emailTemplateObj.TemplateHeader = "<html>\n<head>\n</head>\n<body>";
                emailTemplateObj.TemplateFooter = "</body>\n</html>";
                emailTemplateObj.TemplateDisplayName = txtTemplateDisplayName.Text.Trim();
                emailTemplateObj.TemplateSiteID = CMS.CMSHelper.CMSContext.CurrentSite.SiteID;

                EmailTemplateProvider.SetEmailTemplate(emailTemplateObj);

                Response.Redirect("NewsletterTemplate_Edit.aspx?templateid=" + Convert.ToString(emailTemplateObj.TemplateID) + "&saved=1&siteid=" + siteId.ToString());
            }
            else
            {
                lblError.Visible = true;
                lblError.Text = ResHelper.GetString("NewsletterTemplate_Edit.TemplateNameExists");
            }

        }
        else
        {
            lblError.Visible = true;
            lblError.Text = errorMessage;
        }
    }
}
