using System;
using System.IO;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using CMS.GlobalHelper;
using CMS.DataEngine;

public partial class CMSDesk_Tools_leftmenu : CMSDeskPage
{
    protected void Page_Load(object sender, EventArgs e)
    {
        this.treeTools.LineImagesFolder = "~/App_Themes/" + this.Page.Theme + "/Images/Tree";
        if (CultureHelper.IsUICultureRTL())
        {
            this.treeTools.LineImagesFolder += "/RTL";
        }
        this.treeTools.ImageSet = TreeViewImageSet.Custom;
        
        GeneralConnection cn = new GeneralConnection();

        string imagesUrl = "~/App_Themes/" + this.Theme + "/Images/CMSDesk/Tools/";

        // clear all nodes
        this.treeTools.Nodes.Clear();

        // create root node
        TreeNode rootNode = new TreeNode(ResHelper.GetString("Tools.Root"));
        rootNode.Expanded = true;
        rootNode.NavigateUrl = "#";

        treeTools.Nodes.Add(rootNode);


        // select all modules with showintoolsmenu set to TRUE
        DataSet ds = cn.ExecuteQuery("cms.resource.intoolsmenu", null, null, "ResourceDisplayName");

        if (ds != null)
        {
            // go through selected modules and add them to the tree menu
            foreach (DataRow drModule in ds.Tables[0].Rows)
            {
                TreeNode moduleNode = new TreeNode();
                moduleNode.Text = "<span class=\"ContentTreeItem\" onclick=\"ShowDesktopContent('" + ResolveUrl(Convert.ToString(drModule["ResourceURL"])) + "', this);\">" + Convert.ToString(drModule["ResourceDisplayName"]) + "</span>";
                moduleNode.NavigateUrl = "#";
                string imgPath = imagesUrl + Convert.ToString(drModule["ResourceName"]).Replace(".", "_") + ".gif";
                if (File.Exists(Server.MapPath(imgPath)))
                {
                    moduleNode.ImageUrl = imgPath;
                }
                else
                {
                    moduleNode.ImageUrl = imagesUrl + "module.gif";
                }
                rootNode.ChildNodes.Add(moduleNode);

            }
        }


    }

}
