CREATE VIEW View_CMS_Tree_Joined_Versions
AS
SELECT     CASE WHEN ((DocumentCheckedOutVersionHistoryID IS NULL AND DocumentPublishedVersionHistoryID IS NULL) OR
                      (DocumentCheckedOutVersionHistoryID IS NOT NULL AND DocumentPublishedVersionHistoryID IS NOT NULL)) AND (DocumentPublishFrom IS NULL OR
                      (DocumentPublishFrom IS NOT NULL AND DocumentPublishFrom <= getdate())) AND (DocumentPublishTo IS NULL OR
                      (DocumentPublishTo IS NOT NULL AND DocumentPublishTo >= getdate())) AND ((StepName <> 'archived') OR
                      (StepName IS NULL)) THEN 1 ELSE 0 END AS Published, CMS_Site.SiteName, CMS_Class.ClassName, CMS_Class.ClassDisplayName, 
                      CMS_Tree.NodeID, CMS_Tree.NodeAliasPath, CMS_Tree.NodeName, CMS_Tree.NodeAlias, CMS_Tree.NodeClassID, 
                      CMS_Tree.NodeParentID, CMS_Tree.NodeLevel, CMS_Tree.NodeACLID, CMS_Tree.NodeSiteID, CMS_Tree.NodeGUID, 
                      CMS_Tree.NodeOrder, CMS_Document.DocumentID, CMS_Document.DocumentName, CMS_Document.DocumentNamePath, 
                      CMS_Document.DocumentModifiedWhen, CMS_Document.DocumentModifiedByUserID, CMS_Document.DocumentForeignKeyValue, 
                      CMS_Document.DocumentCreatedByUserID, CMS_Document.DocumentCreatedWhen, CMS_Document.DocumentCheckedOutByUserID, 
                      CMS_Document.DocumentCheckedOutWhen, CMS_Document.DocumentCheckedOutVersionHistoryID, 
                      CMS_Document.DocumentPublishedVersionHistoryID, CMS_Document.DocumentWorkflowStepID, CMS_Document.DocumentPublishFrom, 
                      CMS_Document.DocumentPublishTo, CMS_Document.DocumentUrlPath, CMS_Document.DocumentProductID, 
                      CMS_Document.DocumentCulture, CMS_Document.DocumentNodeID, CMS_Document.DocumentPageTitle, 
                      CMS_Document.DocumentPageKeyWords, CMS_Document.DocumentPageDescription, CMS_Document.DocumentShowInSiteMap, 
                      CMS_Document.DocumentMenuItemHideInNavigation, CMS_Document.DocumentMenuCaption, CMS_Document.DocumentMenuStyle, 
                      CMS_Document.DocumentMenuItemImage, CMS_Document.DocumentMenuItemLeftImage, 
                      CMS_Document.DocumentMenuItemRightImage, CMS_Document.DocumentPageTemplateID, CMS_Document.DocumentMenuJavascript, 
                      CMS_Document.DocumentMenuRedirectUrl, CMS_Document.DocumentUseNamePathForUrlPath, CMS_Document.DocumentStylesheetID, 
                      CMS_Document.DocumentContent, CMS_VersionHistory.NodeXML, CMS_Tree.IsSecuredNode, CMS_Document.DocumentMenuClass, 
                      CMS_Document.DocumentMenuStyleOver, CMS_Document.DocumentMenuClassOver, CMS_Document.DocumentMenuItemImageOver, 
                      CMS_Document.DocumentMenuItemLeftImageOver, CMS_Document.DocumentMenuItemRightImageOver, 
                      CMS_Document.DocumentMenuStyleHighlighted, CMS_Document.DocumentMenuClassHighlighted, 
                      CMS_Document.DocumentMenuItemImageHighlighted, CMS_Document.DocumentMenuItemLeftImageHighlighted, 
                      CMS_Document.DocumentMenuItemRightImageHighlighted, CMS_Tree.NodeCacheMinutes
FROM         CMS_Tree INNER JOIN
                      CMS_Document ON CMS_Tree.NodeID = CMS_Document.DocumentNodeID INNER JOIN
                      CMS_Site ON CMS_Tree.NodeSiteID = CMS_Site.SiteID INNER JOIN
                      CMS_Class ON CMS_Tree.NodeClassID = CMS_Class.ClassID LEFT OUTER JOIN
                      CMS_VersionHistory ON 
                      CMS_Document.DocumentCheckedOutVersionHistoryID = CMS_VersionHistory.VersionHistoryID LEFT OUTER JOIN
                      CMS_WorkflowStep ON CMS_Document.DocumentWorkflowStepID = CMS_WorkflowStep.StepID
