using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using CMS.DirectoryUtilities;
using CMS.ImportExport;
using System.IO;

using CMS.GlobalHelper;


public partial class CMSSiteManager_Sites_Export_ExportSettings : SiteManagerPage
{
    protected void Page_Load(object sender, EventArgs e)
    {
        //initialize PageTitle
        string[,] pageTitleTabs = new string[2, 3];
        pageTitleTabs[0, 0] = ResHelper.GetString("Site_Edit.Sites");
        pageTitleTabs[0, 1] = "~/CMSSiteManager/Sites/site_list.aspx";
        pageTitleTabs[0, 2] = "cmsdesktop";
        pageTitleTabs[1, 0] = ResHelper.GetString("ExportSettings.ExportSiteSetings");
        pageTitleTabs[1, 1] = "";
        ptExportSiteSettings.Breadcrumbs = pageTitleTabs;
        ptExportSiteSettings.TitleText = ResHelper.GetString("ExportSettings.ExportSiteSetings");
        ptExportSiteSettings.TitleImage = "~/App_Themes/" + this.Theme + "/Images/CMSSiteManager/Sites/ExportObjects/exportobjects.gif";

        string rootPath = HttpContext.Current.Server.MapPath("~");
        string exportPath = HttpContext.Current.Server.MapPath(ExportProvider.EXPORT_PATH);
        if (((Directory.Exists(exportPath)) && (!DirectoryHelper.CheckPermissions(exportPath, false, true, true, true))) ||
            ((Directory.Exists(rootPath)) && (!DirectoryHelper.CheckPermissions(rootPath, false, true, true, true))))
        {
            PanelExportSettings.Visible = false;
            lblError.Text = string.Format(ResHelper.GetString("ExportSite.ErrorPermissions"), ExportProvider.EXPORT_PATH);
            this.lnkPermissions.Visible = true;
            this.lnkPermissions.Target = "_blank";
            this.lnkPermissions.Text = ResHelper.GetFileString("Install.ErrorPermissions");
            this.lnkPermissions.NavigateUrl = ResolveUrl("~/CMSMessages/ConfigurePermissions.aspx");
        }
    }
}
