using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

using CMS.GlobalHelper;
using CMS.SettingsProvider;
using CMS.SiteProvider;
using CMS.CMSHelper;

public partial class CMSWebParts_Designers_SiteSelection : DesignerPage
{
    protected void Page_Load(object sender, EventArgs e)
    {
        string txtClientId = string.Empty;
        string lblClientId = string.Empty;
        if (ValidationHelper.GetString(Request.QueryString["txtElem"], string.Empty) != string.Empty)
        {
            txtClientId = ValidationHelper.GetString(Request.QueryString["txtElem"], string.Empty);
        }
        if (ValidationHelper.GetString(Request.QueryString["lblElem"], string.Empty) != string.Empty)
        {
            lblClientId = ValidationHelper.GetString(Request.QueryString["lblElem"], string.Empty);
        }
        ltlScript.Text = ScriptHelper.GetScript("var lstSite = document.getElementById('" + lstSites.ClientID + "');");

        this.PageTitle1.TitleText = ResHelper.GetString("SiteSelection.Title");
        this.PageTitle1.TitleImage = "~/App_Themes/" + this.Theme + "/Images/CMSWebParts/Designers/selectsite.gif";

        btnOK.Text = ResHelper.GetString("SiteSelection.OK");
        btnCancel.Text = ResHelper.GetString("SiteSelection.Cancel");
        if ((txtClientId != "") && (lblClientId != ""))
        {
            btnOK.OnClientClick = "SelectCurrentSite('" + txtClientId + "','" + lblClientId + "'); return false;";
            btnCancel.Attributes.Add("onclick", "Cancel(); return false;");
        }

        if (CMSContext.CurrentUser != null)
        {
            DataTable dt;
            // if user is GlobalAdministrator, then show all sites
            if (CMSContext.CurrentUser.IsGlobalAdministrator)
            {
                dt = SiteInfoProvider.GetAllSites().Tables[0];
            }
            else
            {
                dt = UserInfoProvider.GetUserSites(CMSContext.CurrentUser.UserID);
            }
            dt.DefaultView.Sort = "SiteName";
            lstSites.Items.Clear();
            foreach (DataRowView dr in dt.DefaultView)
            {
                lstSites.Items.Add(dr["SiteName"].ToString());
            }
        }
    }
}
