using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

using CMS.PortalControls;
using CMS.GlobalHelper;
using CMS.TreeEngine;
using CMS.CMSHelper;
using CMS.DataEngine;
using CMS.SiteProvider;

public partial class CMSWebParts_General_languageselection : CMSAbstractWebPart
{
    /// <summary>
    /// 
    /// </summary>
    public override void OnContentLoaded()
    {
        base.OnContentLoaded();
        SetupControl();
    }


    /// <summary>
    /// Initializes the control properties
    /// </summary>
    protected void SetupControl()
    {
        if ((this.PagePlaceholder.ViewMode == ViewModeEnum.Design) || (this.HideOnCurrentPage) || (!this.IsVisible))
        {
            // Do not process
        }
        else
        {

            GeneralConnection genconn = new GeneralConnection();

            string culture = CMSContext.CurrentUser.PreferredCultureCode;

            // horizontal
            string separator = "\xA0\xA0\xA0";
            if ((this.GetValue("DisplayLayout") != null) && (this.GetValue("DisplayLayout").ToString() == "vertical"))
            {
                // vertical 
                separator = "<br />";
            }

            DataSet ds = null;

            // Get the cultures
            if (this.CacheMinutes == 0)
            {
                ds = CultureInfoProvider.GetSiteCultures(CMSContext.CurrentSite.SiteName);
            }
            else
            {
                string useCacheItemName = "";

                if (this.CacheItemName == null || this.CacheItemName == "")
                {

                    string mCulture = "";
                    string siteId = "";

                    if (CMSContext.CurrentSite != null)
                        siteId = CMSContext.CurrentSite.SiteID.ToString();

                    if (CMSContext.CurrentDocument != null)
                        mCulture = CMSContext.CurrentDocument.DocumentCulture;

                    useCacheItemName = "WebPart_SiteCultures_LanguageSelection_" + siteId + mCulture;
                }
                else
                {
                    useCacheItemName = this.CacheItemName;
                }

                // Try to retrieve data from the cache
                if (!CacheHelper.Contains(useCacheItemName))
                {
                    ds = CultureInfoProvider.GetSiteCultures(CMSContext.CurrentSite.SiteName);
                    if (!DataHelper.DataSourceIsEmpty(ds))
                    {
                        CacheHelper.Add(useCacheItemName, ds, null, DateTime.Now.AddMinutes(this.CacheMinutes), System.Web.Caching.Cache.NoSlidingExpiration);
                    }
                }
                else
                {
                    ds = (DataSet)CacheHelper.GetItem(useCacheItemName);
                }
            }

            if (!DataHelper.DataSourceIsEmpty(ds) && (ds.Tables[0].Rows.Count > 1))
            {
                // Render the cultures
                //ltlHyperlinks.Text = "<div>";
                foreach (DataRow dr in ds.Tables[0].Rows)
                {
                    if (culture.ToLower() != dr["CultureCode"].ToString().ToLower())
                    {
                        ltlHyperlinks.Text += "<a href=\"?lang=" + dr["CultureCode"].ToString() + "\">" + dr["CultureShortName"].ToString() + "</a>";
                    }
                    else
                    {
                        ltlHyperlinks.Text += dr["CultureShortName"].ToString();
                    }
                    ltlHyperlinks.Text += separator;
                }
                //ltlHyperlinks.Text += "</div>";
            }
        }
    }
}
