using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

using CMS.PortalEngine;
using CMS.PortalControls;
using CMS.GlobalHelper;
using CMS.CMSHelper;

public partial class CMSWebParts_General_pageplaceholder : CMSAbstractWebPart
{
    /// <summary>
    /// 
    /// </summary>
    public override void OnContentLoaded()
    {
        base.OnContentLoaded();
        SetupControl();
    }


    /// <summary>
    /// Initializes the control properties
    /// </summary>
    protected void SetupControl()
    {
        if ((this.PagePlaceholder.ViewMode == ViewModeEnum.Design) || (this.HideOnCurrentPage) || (!this.IsVisible))
        {
        }
        else
        {
            // Process template only if the control is on the last hierarchy page
            PageInfo currentPage = this.PagePlaceholder.PageInfo;
            if ( (currentPage.ChildPageInfo == null) || (currentPage.ChildPageInfo.PageTemplateInfo == null) || (currentPage.ChildPageInfo.PageTemplateInfo.PageTemplateId == 0) )
            {
                string templateName = ValidationHelper.GetString(this.GetValue("PageTemplate"), "");
                if (templateName != "")
                {
                    PageTemplateInfo ti = PageTemplateInfoProvider.GetPageTemplateInfo(templateName);
                    if (ti != null)
                    {
                        // If same template as current page, avoid cycling
                        if (ti.PageTemplateId == currentPage.PageTemplateInfo.PageTemplateId)
                        {
                            this.lblError.Text = ResHelper.GetString("WebPart.PagePlaceHolder.CurrentTemplateNotAllowed");
                            this.lblError.Visible = true;
                        }
                        else
                        {
                            if (currentPage.ChildPageInfo != null)
                            {
                                currentPage = currentPage.ChildPageInfo.Clone();
                            }
                            else
                            {
                                currentPage = currentPage.Clone();
                            }
                            currentPage.PageTemplateInfo = ti;
                            // Load the current page info with the 
                            this.partPlaceholder.DesignEnabled = false;
                            this.partPlaceholder.LoadContent(currentPage, true);
                        }
                    }
                }
            }
        }
    }

}

