using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

using CMS.PortalControls;
using CMS.GlobalHelper;
using CMS.TreeEngine;
using CMS.CMSHelper;

public partial class CMSWebParts_General_usercontrol : CMSAbstractWebPart
{
    /// <summary>
    /// Content loaded event handler
    /// </summary>
    public override void OnContentLoaded()
    {
 	    base.OnContentLoaded();
        SetupControl();
    }


    /// <summary>
    /// Initializes the control properties
    /// </summary>
    protected void SetupControl()
    {
        if ((this.PagePlaceholder.ViewMode == ViewModeEnum.Design) || (this.HideOnCurrentPage) || (!this.IsVisible))
        {
            // Do not process
        }
        else
        {
            if ((this.GetValue("UserControlPath") != null) && (this.GetValue("UserControlPath").ToString() != string.Empty))
            {
                try
                {
                    Controls.Add(Page.LoadControl(this.GetValue("UserControlPath").ToString()));
                }
                catch (Exception ex)
                {
                    lblError.Text = "[" + this.ID + "] " + ResHelper.GetString("WebPartUserControl.ErrorLoad") + ": " + ex.Message;
                    lblError.ToolTip = ex.StackTrace;
                    lblError.Visible = true;
                }
            }
        }
    }
}
