using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

using CMS.PortalControls;
using CMS.GlobalHelper;
using CMS.TreeEngine;
using CMS.CMSHelper;

public partial class CMSWebParts_Navigation_cmslistmenu : CMSAbstractWebPart
{
    /// <summary>
    /// Content loaded event handler
    /// </summary>
    public override void OnContentLoaded()
    {
 	    base.OnContentLoaded();
        SetupControl();
    }


    /// <summary>
    /// Initializes the control properties
    /// </summary>
    protected void SetupControl()
    {
        if ((this.PagePlaceholder.ViewMode == ViewModeEnum.Design) || (this.HideOnCurrentPage) || (!this.IsVisible))
        {
            this.CMSListMenu1.StopProcessing = true;
        }
        else
        {
            // Set properties from Webpart form
            this.CMSListMenu1.CacheItemName = DataHelper.GetNotEmpty(ValidationHelper.GetString(this.GetValue("CacheItemName"), this.CMSListMenu1.CacheItemName), this.CMSListMenu1.CacheItemName);
            this.CMSListMenu1.CacheMinutes = ValidationHelper.GetInteger(this.GetValue("CacheMinutes"), this.CMSListMenu1.CacheMinutes);
            this.CMSListMenu1.CheckPermissions = ValidationHelper.GetBoolean(this.GetValue("CheckPermissions"), this.CMSListMenu1.CheckPermissions);
            this.CMSListMenu1.ClassNames = DataHelper.GetNotEmpty(ValidationHelper.GetString(this.GetValue("ClassNames"), this.CMSListMenu1.ClassNames), this.CMSListMenu1.ClassNames);
            this.CMSListMenu1.CombineWithDefaultCulture = ValidationHelper.GetBoolean(this.GetValue("CombineWithDefaultCulture"), this.CMSListMenu1.CombineWithDefaultCulture);
            this.CMSListMenu1.CSSPrefix = DataHelper.GetNotEmpty(ValidationHelper.GetString(this.GetValue("CSSPrefix"), this.CMSListMenu1.CSSPrefix), this.CMSListMenu1.CSSPrefix);
            this.CMSListMenu1.CultureCode = DataHelper.GetNotEmpty(ValidationHelper.GetString(this.GetValue("CultureCode"), this.CMSListMenu1.CultureCode), this.CMSListMenu1.CultureCode);
            this.CMSListMenu1.DisplayHighlightedItemAsLink = ValidationHelper.GetBoolean(this.GetValue("DisplayHighlightedItemAsLink"), this.CMSListMenu1.DisplayHighlightedItemAsLink);
            this.CMSListMenu1.DisplayOnlySelectedPath = ValidationHelper.GetBoolean(this.GetValue("DisplayOnlySelectedPath"), this.CMSListMenu1.DisplayOnlySelectedPath);
            this.CMSListMenu1.FirstItemCssClass = DataHelper.GetNotEmpty(ValidationHelper.GetString(this.GetValue("FirstItemCssClass"), this.CMSListMenu1.FirstItemCssClass), this.CMSListMenu1.FirstItemCssClass);
            this.CMSListMenu1.HighlightAllItemsInPath = ValidationHelper.GetBoolean(this.GetValue("HighlightAllItemsInPath"), this.CMSListMenu1.HighlightAllItemsInPath);
            this.CMSListMenu1.HighlightedNodePath = DataHelper.GetNotEmpty(ValidationHelper.GetString(this.GetValue("HighlightedNodePath"), this.CMSListMenu1.HighlightedNodePath), this.CMSListMenu1.HighlightedNodePath);
            this.CMSListMenu1.LastItemCssClass = DataHelper.GetNotEmpty(ValidationHelper.GetString(this.GetValue("LastItemCssClass"), this.CMSListMenu1.LastItemCssClass), this.CMSListMenu1.LastItemCssClass);
            this.CMSListMenu1.MaxRelativeLevel = ValidationHelper.GetInteger(this.GetValue("MaxRelativeLevel"), this.CMSListMenu1.MaxRelativeLevel);
            this.CMSListMenu1.OnMouseOutScript = DataHelper.GetNotEmpty(ValidationHelper.GetString(this.GetValue("OnMouseOutScript"), this.CMSListMenu1.OnMouseOutScript), this.CMSListMenu1.OnMouseOutScript);
            this.CMSListMenu1.OnMouseOverScript = DataHelper.GetNotEmpty(ValidationHelper.GetString(this.GetValue("OnMouseOverScript"), this.CMSListMenu1.OnMouseOverScript), this.CMSListMenu1.OnMouseOverScript);
            this.CMSListMenu1.OrderBy = DataHelper.GetNotEmpty(ValidationHelper.GetString(this.GetValue("OrderBy"), this.CMSListMenu1.OrderBy), this.CMSListMenu1.OrderBy);
            this.CMSListMenu1.Path = DataHelper.GetNotEmpty(ValidationHelper.GetString(this.GetValue("Path"), this.CMSListMenu1.Path), this.CMSListMenu1.Path);
            this.CMSListMenu1.RenderCssClasses = ValidationHelper.GetBoolean(this.GetValue("RenderCssClasses"), this.CMSListMenu1.RenderCssClasses);
            this.CMSListMenu1.RenderItemID = ValidationHelper.GetBoolean(this.GetValue("RenderItemID"), this.CMSListMenu1.RenderItemID);
            this.CMSListMenu1.SelectOnlyPublished = ValidationHelper.GetBoolean(this.GetValue("SelectOnlyPublished"), this.CMSListMenu1.SelectOnlyPublished);
            this.CMSListMenu1.SiteName = DataHelper.GetNotEmpty(ValidationHelper.GetString(this.GetValue("SiteName"), this.CMSListMenu1.SiteName), this.CMSListMenu1.SiteName);
            this.CMSListMenu1.SubmenuIndicator = DataHelper.GetNotEmpty(ValidationHelper.GetString(this.GetValue("SubmenuIndicator"), this.CMSListMenu1.SubmenuIndicator), this.CMSListMenu1.SubmenuIndicator);
            this.CMSListMenu1.UrlTarget = DataHelper.GetNotEmpty(ValidationHelper.GetString(this.GetValue("UrlTarget"), this.CMSListMenu1.UrlTarget), this.CMSListMenu1.UrlTarget);
            this.CMSListMenu1.UseAlternatingStyles = ValidationHelper.GetBoolean(this.GetValue("UseAlternatingStyles"), this.CMSListMenu1.UseAlternatingStyles);
            this.CMSListMenu1.WhereCondition = DataHelper.GetNotEmpty(ValidationHelper.GetString(this.GetValue("WhereCondition"), this.CMSListMenu1.WhereCondition), this.CMSListMenu1.WhereCondition);

            this.CMSListMenu1.HoverCSSClassName = DataHelper.GetNotEmpty(this.GetValue("HoverCSSClassName"), this.CMSListMenu1.HoverCSSClassName);
            this.CMSListMenu1.ItemIdPrefix = ValidationHelper.GetString(this.GetValue("ItemIdPrefix"), this.CMSListMenu1.ItemIdPrefix);


        }
    }

}
