using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

using CMS.PortalControls;
using CMS.GlobalHelper;
using CMS.TreeEngine;

public partial class CMSWebParts_Search_cmscompletesearchdialog : CMSAbstractWebPart
{

    /// <summary>
    /// Content loaded event handler
    /// </summary>
    public override void OnContentLoaded()
    {
        base.OnContentLoaded();
        SetupControl();
    }


    /// <summary>
    /// Initializes the control properties
    /// </summary>
    protected void SetupControl()
    {
        if ((this.PagePlaceholder.ViewMode == CMS.CMSHelper.ViewModeEnum.Design) || (this.HideOnCurrentPage) || (!this.IsVisible))
        {
            this.CMSSearchDialog1.StopProcessing = true;
            this.CMSSearchResults1.StopProcessing = true;
        }
        //Search dialog
        this.CMSSearchDialog1.ID = this.ID + "_CMSSearchDialog";

        this.CMSSearchDialog1.SearchMode = CMSSearchDialog1.GetSearchMode(DataHelper.GetNotEmpty(this.GetValue("SearchMode"), this.CMSSearchDialog1.SearchMode.ToString()));
        this.CMSSearchDialog1.SearchScope = CMSSearchDialog1.GetSearchScope(DataHelper.GetNotEmpty(this.GetValue("SearchScope"), this.CMSSearchDialog1.SearchScope.ToString()));

        this.CMSSearchDialog1.ShowSearchMode = ValidationHelper.GetBoolean(this.GetValue("ShowSearchMode"), this.CMSSearchDialog1.ShowSearchMode);
        this.CMSSearchDialog1.ShowSearchScope = ValidationHelper.GetBoolean(this.GetValue("ShowSearchScope"), this.CMSSearchDialog1.ShowSearchScope);

        //Search results
        this.CMSSearchResults1.CacheItemName = DataHelper.GetNotEmpty(ValidationHelper.GetString(this.GetValue("ChacheItemName"), this.CMSSearchResults1.CacheItemName), this.CMSSearchResults1.CacheItemName);
        this.CMSSearchResults1.CacheMinutes = ValidationHelper.GetInteger(this.GetValue("CacheMinutes"), this.CMSSearchResults1.CacheMinutes);
        this.CMSSearchResults1.CheckPermissions = ValidationHelper.GetBoolean(this.GetValue("CheckPermissions"), this.CMSSearchResults1.CheckPermissions);
        this.CMSSearchResults1.ClassNames = DataHelper.GetNotEmpty(ValidationHelper.GetString(this.GetValue("Classnames"), this.CMSSearchResults1.ClassNames), this.CMSSearchResults1.ClassNames);
        this.CMSSearchResults1.CMSSearchDialogID = this.ID + "_CMSSearchDialog";

        this.CMSSearchResults1.CombineWithDefaultCulture = ValidationHelper.GetBoolean(this.GetValue("CombineWithDefaultCulture"), this.CMSSearchResults1.CombineWithDefaultCulture);
        this.CMSSearchResults1.CultureCode = DataHelper.GetNotEmpty(ValidationHelper.GetString(this.GetValue("CultureCode"), this.CMSSearchResults1.CultureCode), this.CMSSearchResults1.CultureCode);
        this.CMSSearchResults1.MaxRelativeLevel = ValidationHelper.GetInteger(this.GetValue("MaxRelativeLevel"), this.CMSSearchResults1.MaxRelativeLevel);
        this.CMSSearchResults1.Path = DataHelper.GetNotEmpty(ValidationHelper.GetString(this.GetValue("Path"), this.CMSSearchResults1.Path), this.CMSSearchResults1.Path);

        this.CMSSearchResults1.SearchMode = CMSSearchResults1.GetSearchMode(DataHelper.GetNotEmpty(this.GetValue("SearchMode"), this.CMSSearchResults1.SearchMode.ToString()));

        this.CMSSearchResults1.SelectOnlyPublished = ValidationHelper.GetBoolean(this.GetValue("SelectOnlyPublished"), this.CMSSearchResults1.SelectOnlyPublished);
        this.CMSSearchResults1.SiteName = DataHelper.GetNotEmpty(ValidationHelper.GetString(this.GetValue("SiteName"), this.CMSSearchResults1.SiteName), this.CMSSearchResults1.SiteName);
        //this.CMSSearchResults1.StartingPath = DataHelper.GetNotEmpty(ValidationHelper.GetString(this.GetValue("StartingPath"), this.CMSSearchResults1.StartingPath), this.CMSSearchResults1.StartingPath);

        this.CMSSearchResults1.TransformationName = DataHelper.GetNotEmpty(this.GetValue("TransformationName"), this.CMSSearchResults1.TransformationName);



        // This Query string key isnt property of DataPager ! This property set DataPager QueryStrinKey with search query parameters
        this.CMSSearchResults1.QueryStringKey = DataHelper.GetNotEmpty(this.GetValue("QueryStringKey"), this.CMSSearchResults1.QueryStringKey);

        this.CMSSearchResults1.PagerControl.PageSize = ValidationHelper.GetInteger(this.GetValue("PageSize"), this.CMSSearchResults1.PagerControl.PageSize);

        this.CMSSearchResults1.PagerControl.PagerPosition = this.CMSSearchResults1.PagerControl.GetPagerPosition(DataHelper.GetNotEmpty(this.GetValue("PagerPosition"), this.CMSSearchResults1.PagerControl.PagerPosition.ToString()));

        this.CMSSearchResults1.PagerControl.PagingMode = this.CMSSearchResults1.PagerControl.GetPagingMode(DataHelper.GetNotEmpty(this.GetValue("PagingMode"), this.CMSSearchResults1.PagerControl.PagingMode.ToString()));

        this.CMSSearchResults1.PagerControl.ShowFirstLast = ValidationHelper.GetBoolean(this.GetValue("ShowFirstLast"), this.CMSSearchResults1.PagerControl.ShowFirstLast);
    }
}
