using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using System.ComponentModel;

using CMS.PortalControls;
using CMS.GlobalHelper;
using CMS.TreeEngine;
using CMS.CMSHelper;

public partial class CMSWebParts_Search_cmssearchdialog : CMSAbstractWebPart
{
    /// <summary>
    /// Content loaded event handler
    /// </summary>
    public override void OnContentLoaded()
    {
        base.OnContentLoaded();
        SetupControl();
    }


    /// <summary>
    /// Initializes the control properties
    /// </summary>
    protected void SetupControl()
    {
        if ((this.PagePlaceholder.ViewMode == ViewModeEnum.Design) || (this.HideOnCurrentPage) || (!this.IsVisible))
        {
            this.CMSSearchDialog1.StopProcessing = true;
        }
        else
        {
            this.CMSSearchDialog1.ID = this.ID + "_CMSSearchDialog";

            this.CMSSearchDialog1.SearchMode = CMSSearchDialog1.GetSearchMode(DataHelper.GetNotEmpty(this.GetValue("SearchMode"), this.CMSSearchDialog1.SearchMode.ToString()));
            this.CMSSearchDialog1.SearchScope = CMSSearchDialog1.GetSearchScope(DataHelper.GetNotEmpty(this.GetValue("SearchScope"), this.CMSSearchDialog1.SearchScope.ToString()));

            this.CMSSearchDialog1.ShowSearchMode = ValidationHelper.GetBoolean(this.GetValue("ShowSearchMode"), this.CMSSearchDialog1.ShowSearchMode);
            this.CMSSearchDialog1.ShowSearchScope = ValidationHelper.GetBoolean(this.GetValue("ShowSearchScope"), this.CMSSearchDialog1.ShowSearchScope);
        }
    }

}
