using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

using CMS.PortalControls;
using CMS.CMSHelper;
using CMS.GlobalHelper;

public partial class CMSWebParts_Viewers_documentpager : CMSAbstractWebPart
{
    /// <summary>
    /// Content loaded event handler
    /// </summary>
    public override void OnContentLoaded()
    {
        base.OnContentLoaded();
        SetupControl();
    }


    /// <summary>
    /// Initializes the control properties
    /// </summary>
    protected void SetupControl()
    {
        if ((this.PagePlaceholder.ViewMode == ViewModeEnum.Design) || (this.HideOnCurrentPage) || (!this.IsVisible))
        {
            this.CMSRepeater1.StopProcessing = true;
        }
        else
        {
            // Set properties from Webpart form
            this.CMSRepeater1.Path = DataHelper.GetNotEmpty(ValidationHelper.GetString(this.GetValue("Path"), this.CMSRepeater1.Path), this.CMSRepeater1.Path);
            this.CMSRepeater1.SiteName = DataHelper.GetNotEmpty(ValidationHelper.GetString(this.GetValue("SiteName"), this.CMSRepeater1.SiteName), this.CMSRepeater1.SiteName);
            this.CMSRepeater1.CultureCode = DataHelper.GetNotEmpty(ValidationHelper.GetString(this.GetValue("CultureCode"), this.CMSRepeater1.CultureCode), this.CMSRepeater1.CultureCode);
            this.CMSRepeater1.ClassNames = DataHelper.GetNotEmpty(ValidationHelper.GetString(this.GetValue("Classnames"), this.CMSRepeater1.ClassNames), this.CMSRepeater1.ClassNames);

            this.CMSRepeater1.CacheItemName = DataHelper.GetNotEmpty(ValidationHelper.GetString(this.GetValue("CacheItemName"), this.CMSRepeater1.CacheItemName), this.CMSRepeater1.CacheItemName);
            this.CMSRepeater1.CacheMinutes = ValidationHelper.GetInteger(this.GetValue("CacheMinutes"), this.CMSRepeater1.CacheMinutes);

            this.CMSRepeater1.TransformationName = DataHelper.GetNotEmpty(ValidationHelper.GetString(this.GetValue("TransformationName"), this.CMSRepeater1.TransformationName), this.CMSRepeater1.TransformationName);

            /*this.CMSRepeater1.PagerControl.BackNextButtonStyle = DataHelper.GetNotEmpty(ValidationHelper.GetString(this.GetValue("BackNextButtonStyle"), this.CMSRepeater1.PagerControl.BackNextButtonStyle), this.CMSRepeater1.PagerControl.BackNextButtonStyle);*/
            this.CMSRepeater1.PagerControl.BackText = DataHelper.GetNotEmpty(ValidationHelper.GetString(this.GetValue("BackText"), this.CMSRepeater1.PagerControl.BackText), this.CMSRepeater1.PagerControl.BackText);
            this.CMSRepeater1.PagerControl.NextText = DataHelper.GetNotEmpty(ValidationHelper.GetString(this.GetValue("NextText"), this.CMSRepeater1.PagerControl.NextText), this.CMSRepeater1.PagerControl.NextText);
          /*  this.CMSRepeater1.PagerControl.PageNumberStyle = DataHelper.GetNotEmpty(ValidationHelper.GetString(this.GetValue("PageNumberStyle"), this.CMSRepeater1.PagerControl.PageNumberStyle), this.CMSRepeater1.PagerControl.PageNumberStyle);
            this.CMSRepeater1.PagerControl.PageNumbersStyle = DataHelper.GetNotEmpty(ValidationHelper.GetString(this.GetValue("PageNumbersStyle"), this.CMSRepeater1.PagerControl.PageNumbersStyle), this.CMSRepeater1.PagerControl.PageNumbersStyle);*/
            this.CMSRepeater1.PagerControl.PagerPosition = this.CMSRepeater1.PagerControl.GetPagerPosition(DataHelper.GetNotEmpty(this.GetValue("PagerPosition"), this.CMSRepeater1.PagerControl.PagerPosition.ToString()));

            this.CMSRepeater1.EnablePaging = true;
            this.CMSRepeater1.PagerControl.PageSize = 1;
            this.CMSRepeater1.PagerControl.BackNextDisplay = CMS.Controls.BackNextDisplayTypeEnum.HyperLinks;
            this.CMSRepeater1.PagerControl.PageNumbersDisplay = CMS.Controls.PageNumbersDisplayTypeEnum.Numbers;
            this.CMSRepeater1.PagerControl.ShowFirstLast = false;
            this.CMSRepeater1.PagerControl.ResultsLocation = CMS.Controls.ResultsLocationTypeEnum.None;


            /* JAKUBO  */
            this.CMSRepeater1.PagerControl.SelectedClass = DataHelper.GetNotEmpty(this.GetValue("SelectedPageClass"), this.CMSRepeater1.PagerControl.SelectedClass);
            this.CMSRepeater1.PagerControl.UnselectedClass = DataHelper.GetNotEmpty(this.GetValue("UnselectedPageClass"), this.CMSRepeater1.PagerControl.UnselectedClass);

            this.CMSRepeater1.PagerControl.SelectedNextClass = DataHelper.GetNotEmpty(this.GetValue("SelectedNextClass"), this.CMSRepeater1.PagerControl.SelectedNextClass);
            this.CMSRepeater1.PagerControl.SelectedPrevClass = DataHelper.GetNotEmpty(this.GetValue("SelectedPrevClass"), this.CMSRepeater1.PagerControl.SelectedPrevClass);

            this.CMSRepeater1.PagerControl.UnselectedNextClass = DataHelper.GetNotEmpty(this.GetValue("UnselectedNextClass"), this.CMSRepeater1.PagerControl.UnselectedNextClass);
            this.CMSRepeater1.PagerControl.UnselectedPrevClass = DataHelper.GetNotEmpty(this.GetValue("UnselectedPrevClass"), this.CMSRepeater1.PagerControl.UnselectedPrevClass);

            this.CMSRepeater1.PagerControl.PageNumbersSeparator =ValidationHelper.GetString(this.GetValue("PageNumberSeparator"), this.CMSRepeater1.PagerControl.PageNumbersSeparator);
            /* JAKUBO */
            
            
            //this.CMSRepeater1.OrderBy = DataHelper.GetNotEmpty(ValidationHelper.GetString(this.GetValue("OrderBy"), this.CMSRepeater1.OrderBy), this.CMSRepeater1.OrderBy);
            //this.CMSRepeater1.SelectOnlyPublished = ValidationHelper.GetBoolean(this.GetValue("SelectOnlyPublished"), this.CMSRepeater1.SelectOnlyPublished);
            //this.CMSRepeater1.HideControlForZeroRows = ValidationHelper.GetBoolean(this.GetValue("HideControlForZeroRows"), this.CMSRepeater1.HideControlForZeroRows);
            //this.CMSRepeater1.ZeroRowsText = DataHelper.GetNotEmpty(ValidationHelper.GetString(this.GetValue("ZeroRowsText"), this.CMSRepeater1.ZeroRowsText), this.CMSRepeater1.ZeroRowsText);
            //this.CMSRepeater1.PagerControl.PagingMode = this.CMSRepeater1.PagerControl.GetPagingMode(DataHelper.GetNotEmpty(this.GetValue("PagingMode"), this.CMSRepeater1.PagerControl.PagingMode.ToString()));
            //this.CMSRepeater1.PagerControl.ShowFirstLast = ValidationHelper.GetBoolean(this.GetValue("ShowFirstLast"), this.CMSRepeater1.PagerControl.ShowFirstLast);
        }
    }


    /// <summary>
    /// Reload data
    /// </summary>
    public override void ReloadData()
    {
        base.ReloadData();
        this.SetupControl();
        this.CMSRepeater1.ReloadData(true);
    }
}
