using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

using CMS.PortalControls;
using CMS.GlobalHelper;
using CMS.TreeEngine;
using CMS.Controls;
using CMS.CMSHelper;

public partial class CMSWebParts_Viewers_RandomDocument : CMSAbstractWebPart
{
    /// <summary>
    /// Content loaded event handler
    /// </summary>
    public override void OnContentLoaded()
    {
        base.OnContentLoaded();
        SetupControl();
    }


    /// <summary>
    /// Initializes the control properties
    /// </summary>
    protected void SetupControl()
    {
        if ((this.PagePlaceholder.ViewMode == ViewModeEnum.Design) || (this.HideOnCurrentPage) || (!this.IsVisible))
        {
            this.CMSRepeater1.StopProcessing = true;
        }
        else
        {
         

            
            this.CMSRepeater1.Path = DataHelper.GetNotEmpty(ValidationHelper.GetString(this.GetValue("Path"), this.CMSRepeater1.Path), this.CMSRepeater1.Path);
            this.CMSRepeater1.CultureCode = DataHelper.GetNotEmpty(ValidationHelper.GetString(this.GetValue("CultureCode"), this.CMSRepeater1.CultureCode), this.CMSRepeater1.CultureCode);
            this.CMSRepeater1.SiteName = DataHelper.GetNotEmpty(ValidationHelper.GetString(this.GetValue("SiteName"), this.CMSRepeater1.SiteName), this.CMSRepeater1.SiteName);
            this.CMSRepeater1.MaxRelativeLevel = ValidationHelper.GetInteger(this.GetValue("MaxRelativeLevel"), this.CMSRepeater1.MaxRelativeLevel);
            this.CMSRepeater1.ClassNames = DataHelper.GetNotEmpty(ValidationHelper.GetString(this.GetValue("Classnames"), this.CMSRepeater1.ClassNames), this.CMSRepeater1.ClassNames);
            this.CMSRepeater1.TransformationName = DataHelper.GetNotEmpty(ValidationHelper.GetString(this.GetValue("TransformationName"), this.CMSRepeater1.TransformationName), this.CMSRepeater1.TransformationName);


            // Get the cultures
            if (this.CacheMinutes == 0)
            {
                LoadAndAplly();
            }
            else
            {
                string useCacheItemName = "";

                if (this.CacheItemName == null || this.CacheItemName == "")
                {
                    string siteId = "";
                    string mCultureCode = "";

                    if (CMSContext.CurrentSite != null)
                        siteId = CMSContext.CurrentSite.SiteID.ToString();

                    if (CMSContext.CurrentDocument != null)
                        mCultureCode = CMSContext.CurrentDocument.DocumentCulture;

                    useCacheItemName = "WebPart_RandomDocument_" + siteId + mCultureCode;
                }
                else
                {
                    useCacheItemName = this.CacheItemName;
                }

                // Try to retrieve data from the cache
                if (!CacheHelper.Contains(useCacheItemName))
                {
                    DataSet ds = LoadAndAplly();

                    if (!DataHelper.DataSourceIsEmpty(ds))
                    {
                            CacheHelper.Add(useCacheItemName, ds, null, DateTime.Now.AddMinutes(this.CacheMinutes), System.Web.Caching.Cache.NoSlidingExpiration);
                    }
                }
                else
                {
                    this.CMSRepeater1.DataSource = (DataSet)CacheHelper.GetItem(useCacheItemName);
                }
            }


          
        }
    }

    /// <summary>
    /// 
    /// </summary>
    /// <returns></returns>
    public DataSet LoadAndAplly()
    {
        // Select random Document
        Random rnd = new Random();

        string where = "(SiteName = '" + this.CMSRepeater1.SiteName + "')";

        TreeProvider tree = new TreeProvider(CMSContext.CurrentUser);
        DataSet ds = tree.SelectNodes(this.CMSRepeater1.SiteName, this.CMSRepeater1.Path, this.CMSRepeater1.CultureCode, false, this.CMSRepeater1.ClassNames, where, null, this.CMSRepeater1.MaxRelativeLevel, true);

        DataSet mDs = new DataSet();

        if (!DataHelper.DataSourceIsEmpty(ds))
        {
            int selectedRow = rnd.Next(0, ds.Tables[0].Rows.Count);

            mDs.Tables.Add(ds.Tables[0].Clone());
            mDs.Tables[0].Rows.Add(ds.Tables[0].Rows[selectedRow].ItemArray);
            mDs.AcceptChanges();
            this.CMSRepeater1.DataSource = mDs;
        }

        return mDs;
    }

    public override void ReloadData()
    {
        base.ReloadData();
        this.SetupControl();
        this.CMSRepeater1.ReloadData(true);
    }
}
