-- UPDATE CLASS
UPDATE [CMS_Class] SET [ClassXmlSchema]='<?xml version="1.0" encoding="utf-8"?>
<xs:schema id="NewDataSet" xmlns="" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:msdata="urn:schemas-microsoft-com:xml-msdata">
  <xs:element name="NewDataSet" msdata:IsDataSet="true" msdata:UseCurrentLocale="true">
    <xs:complexType>
      <xs:choice minOccurs="0" maxOccurs="unbounded">
        <xs:element name="CMS_Tree">
          <xs:complexType>
            <xs:sequence>
              <xs:element name="NodeID" msdata:ReadOnly="true" msdata:AutoIncrement="true" type="xs:int" />
              <xs:element name="NodeAliasPath">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="450" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="NodeName">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="100" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="NodeAlias">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="50" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="NodeClassID" type="xs:int" />
              <xs:element name="NodeParentID" type="xs:int" />
              <xs:element name="NodeLevel" type="xs:int" />
              <xs:element name="NodeACLID" type="xs:int" minOccurs="0" />
              <xs:element name="NodeSiteID" type="xs:int" />
              <xs:element name="NodeGUID" msdata:DataType="System.Guid, mscorlib, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089" type="xs:string" minOccurs="0" />
              <xs:element name="NodeOrder" type="xs:int" minOccurs="0" />
              <xs:element name="IsSecuredNode" type="xs:boolean" minOccurs="0" />
              <xs:element name="NodeCacheMinutes" type="xs:int" minOccurs="0" />
            </xs:sequence>
          </xs:complexType>
        </xs:element>
      </xs:choice>
    </xs:complexType>
    <xs:unique name="Constraint1" msdata:PrimaryKey="true">
      <xs:selector xpath=".//CMS_Tree" />
      <xs:field xpath="NodeID" />
    </xs:unique>
  </xs:element>
</xs:schema>' WHERE [ClassName]='cms.tree'


GO


-- UPDATE TABLE
ALTER TABLE [CMS_Tree] ADD [NodeCacheMinutes] [int] NULL


GO


-- UPDATE QUERIES
declare @classid int

set @classid = (SELECT ClassID FROM CMS_Class WHERE ClassName='cms.tree')
if @classid<>0
begin
	UPDATE [CMS_Query] SET [QueryText]='INSERT INTO [CMS_Tree] ( [NodeAliasPath], [NodeName], [NodeAlias], [NodeClassID], [NodeParentID], [NodeLevel], [NodeACLID], [NodeSiteID], [NodeGUID], [NodeOrder], [IsSecuredNode], [NodeCacheMinutes] ) VALUES (  @NodeAliasPath, @NodeName, @NodeAlias, @NodeClassID, @NodeParentID, @NodeLevel, @NodeACLID, @NodeSiteID, @NodeGUID, @NodeOrder, @IsSecuredNode, @NodeCacheMinutes); SELECT @@identity AS [NodeID]' WHERE QueryName='insert' AND ClassID=@classid
	UPDATE [CMS_Query] SET [QueryText]='UPDATE [CMS_Tree] SET  [NodeAliasPath] = @NodeAliasPath, [NodeName] = @NodeName, [NodeAlias] = @NodeAlias, [NodeClassID] = @NodeClassID, [NodeParentID] = @NodeParentID, [NodeLevel] = @NodeLevel, [NodeACLID] = @NodeACLID, [NodeSiteID] = @NodeSiteID, [NodeGUID] = @NodeGUID, [NodeOrder] = @NodeOrder, [IsSecuredNode] = @IsSecuredNode, [NodeCacheMinutes] = @NodeCacheMinutes WHERE [NodeID] = @NodeID' WHERE QueryName='update' AND ClassID=@classid
end

set @classid = (SELECT ClassID FROM CMS_Class WHERE ClassName='cms.pagetemplate')
if @classid<>0
	UPDATE [CMS_Query] SET [QueryText]='SELECT CMS_PageTemplate.*,CMS_Layout.LayoutCodeName FROM CMS_PageTemplate INNER JOIN CMS_Layout ON CMS_PageTemplate.PageTemplateLayoutID=CMS_Layout.LayoutID WHERE ##WHERE## AND ((PageTemplateID IN (SELECT PageTemplateID FROM CMS_PageTemplateSite WHERE SiteID=@SiteID) OR @SiteID=0) OR (PageTemplateID IN (SELECT DocumentPageTemplateID FROM View_CMS_Tree_Joined WHERE NodeSiteID = @SiteID)))' WHERE QueryName='selectPageTemplateForExport' AND ClassID=@classid

set @classid = (SELECT ClassID FROM CMS_Class WHERE ClassName='cms.site')
if @classid<>0
	UPDATE [CMS_Query] SET [QueryText]='SELECT * FROM CMS_SiteDomainAlias WHERE SiteDomainAliasName=@SiteDomainAliasName AND SiteID IN (SELECT SITEID FROM CMS_SITE WHERE SiteStatus = ''RUNNING'')' WHERE QueryName='selectDomainAliasByName' AND ClassID=@classid

set @classid = (SELECT ClassID FROM CMS_Class WHERE ClassName='newsletter.emailtemplate')
if @classid<>0
	UPDATE [CMS_Query] SET [QueryText]='SELECT * FROM Newsletter_EmailTemplate WHERE (TemplateName = @TemplateName AND TemplateSiteID = @TemplateSiteID)' WHERE QueryName='selectByTemplateName' AND ClassID=@classid

set @classid = (SELECT ClassID FROM CMS_Class WHERE ClassName='cms.ScheduledTask')
if @classid<>0
	UPDATE [CMS_Query] SET [QueryText]='SELECT * FROM CMS_ScheduledTask WHERE TaskName = @TaskName AND ((@TaskSiteID = 0 AND TaskSiteID IS NULL) OR (TaskSiteID = @TaskSiteID))' WHERE QueryName='selectByTaskName' AND ClassID=@classid


GO


-- INSERT QUERIES
declare @classid int

set @classid = (SELECT ClassID FROM CMS_Class WHERE ClassName='cms.tree')
if @classid<>0
	INSERT [CMS_Query] ([QueryName], [QueryTypeID], [QueryText], [QueryRequiresTransaction], [ClassID], [QueryIsLocked]) VALUES ('selectParentCacheNode', 1, 'Proc_CMS_Tree_SelectParentCacheNode', 0, @classid, 1)

set @classid = (SELECT ClassID FROM CMS_Class WHERE ClassName='cms.ScheduledTask')
if @classid<>0
	INSERT [CMS_Query] ([QueryName], [QueryTypeID], [QueryText], [QueryRequiresTransaction], [ClassID], [QueryIsLocked]) VALUES ('fetchtaskstorun', 1, 'Proc_CMS_ScheduledTask_FetchTasksToRun', 1, @classid, 1)


GO


-- INSERT RESOURCE STRINGS
declare @cultureid int
set @cultureid = (SELECT [UICultureID] FROM [CMS_UICulture] WHERE UICultureCode='en-us')

if @cultureid<>0
begin
	declare @resourcestringid int
	INSERT [CMS_ResourceString] ([StringKey], [StringIsCustom]) VALUES ('generalproperties.othergroup', 0)
	set @resourcestringid=@@identity
	INSERT [CMS_ResourceTranslation] ([TranslationStringID], [TranslationUICultureID], [TranslationText]) VALUES (@resourcestringid, @cultureid, 'Other properties')

	INSERT [CMS_ResourceString] ([StringKey], [StringIsCustom]) VALUES ('generalproperties.pathgroup', 0)
	set @resourcestringid=@@identity
	INSERT [CMS_ResourceTranslation] ([TranslationStringID], [TranslationUICultureID], [TranslationText]) VALUES (@resourcestringid, @cultureid, 'Path')

	INSERT [CMS_ResourceString] ([StringKey], [StringIsCustom]) VALUES ('generalproperties.cachegroup', 0)
	set @resourcestringid=@@identity
	INSERT [CMS_ResourceTranslation] ([TranslationStringID], [TranslationUICultureID], [TranslationText]) VALUES (@resourcestringid, @cultureid, 'Cache')

	INSERT [CMS_ResourceString] ([StringKey], [StringIsCustom]) VALUES ('generalproperties.radinherit', 0)
	set @resourcestringid=@@identity
	INSERT [CMS_ResourceTranslation] ([TranslationStringID], [TranslationUICultureID], [TranslationText]) VALUES (@resourcestringid, @cultureid, 'Inherit')

	INSERT [CMS_ResourceString] ([StringKey], [StringIsCustom]) VALUES ('generalproperties.radyes', 0)
	set @resourcestringid=@@identity
	INSERT [CMS_ResourceTranslation] ([TranslationStringID], [TranslationUICultureID], [TranslationText]) VALUES (@resourcestringid, @cultureid, 'Yes')

	INSERT [CMS_ResourceString] ([StringKey], [StringIsCustom]) VALUES ('generalproperties.radno', 0)
	set @resourcestringid=@@identity
	INSERT [CMS_ResourceTranslation] ([TranslationStringID], [TranslationUICultureID], [TranslationText]) VALUES (@resourcestringid, @cultureid, 'No')

	INSERT [CMS_ResourceString] ([StringKey], [StringIsCustom]) VALUES ('generalproperties.cacheminutes', 0)
	set @resourcestringid=@@identity
	INSERT [CMS_ResourceTranslation] ([TranslationStringID], [TranslationUICultureID], [TranslationText]) VALUES (@resourcestringid, @cultureid, 'Cache minutes:')

	INSERT [CMS_ResourceString] ([StringKey], [StringIsCustom]) VALUES ('generalproperties.badcacheminutes', 0)
	set @resourcestringid=@@identity
	INSERT [CMS_ResourceTranslation] ([TranslationStringID], [TranslationUICultureID], [TranslationText]) VALUES (@resourcestringid, @cultureid, 'Please enter some valid cache minutes value or let field empty.')

	INSERT [CMS_ResourceString] ([StringKey], [StringIsCustom]) VALUES ('exportsitesettings.stepfileselection.filenameexists', 0)
	set @resourcestringid=@@identity
	INSERT [CMS_ResourceTranslation] ([TranslationStringID], [TranslationUICultureID], [TranslationText]) VALUES (@resourcestringid, @cultureid, 'File with name ''{0}'' already exists in the directory ''{1}''.')

	INSERT [CMS_ResourceString] ([StringKey], [StringIsCustom]) VALUES ('task_list.lastrun', 0)
	set @resourcestringid=@@identity
	INSERT [CMS_ResourceTranslation] ([TranslationStringID], [TranslationUICultureID], [TranslationText]) VALUES (@resourcestringid, @cultureid, 'Last timer run:')

	INSERT [CMS_ResourceString] ([StringKey], [StringIsCustom]) VALUES ('task_list.restart', 0)
	set @resourcestringid=@@identity
	INSERT [CMS_ResourceTranslation] ([TranslationStringID], [TranslationUICultureID], [TranslationText]) VALUES (@resourcestringid, @cultureid, 'Restart timer')

	INSERT [CMS_ResourceString] ([StringKey], [StringIsCustom]) VALUES ('task_list.norun', 0)
	set @resourcestringid=@@identity
	INSERT [CMS_ResourceTranslation] ([TranslationStringID], [TranslationUICultureID], [TranslationText]) VALUES (@resourcestringid, @cultureid, 'Timer not running')

	INSERT [CMS_ResourceString] ([StringKey], [StringIsCustom]) VALUES ('development.countries', 0)
	set @resourcestringid=@@identity
	INSERT [CMS_ResourceTranslation] ([TranslationStringID], [TranslationUICultureID], [TranslationText]) VALUES (@resourcestringid, @cultureid, 'Countries')

	INSERT [CMS_ResourceString] ([StringKey], [StringIsCustom]) VALUES ('pageplaceholder.editlayout', 0)
	set @resourcestringid=@@identity
	INSERT [CMS_ResourceTranslation] ([TranslationStringID], [TranslationUICultureID], [TranslationText]) VALUES (@resourcestringid, @cultureid, 'HTML&nbsp;layout')

	INSERT [CMS_ResourceString] ([StringKey], [StringIsCustom]) VALUES ('pageplaceholder.editwebparts', 0)
	set @resourcestringid=@@identity
	INSERT [CMS_ResourceTranslation] ([TranslationStringID], [TranslationUICultureID], [TranslationText]) VALUES (@resourcestringid, @cultureid, 'Web&nbsp;parts')

	INSERT [CMS_ResourceString] ([StringKey], [StringIsCustom]) VALUES ('pageplaceholder.edittitle', 0)
	set @resourcestringid=@@identity
	INSERT [CMS_ResourceTranslation] ([TranslationStringID], [TranslationUICultureID], [TranslationText]) VALUES (@resourcestringid, @cultureid, 'Show:')

	INSERT [CMS_ResourceString] ([StringKey], [StringIsCustom]) VALUES ('pageplaceholder.savelayout', 0)
	set @resourcestringid=@@identity
	INSERT [CMS_ResourceTranslation] ([TranslationStringID], [TranslationUICultureID], [TranslationText]) VALUES (@resourcestringid, @cultureid, 'Save')

	INSERT [CMS_ResourceString] ([StringKey], [StringIsCustom]) VALUES ('webpartusercontrol.errorload', 0)
	set @resourcestringid=@@identity
	INSERT [CMS_ResourceTranslation] ([TranslationStringID], [TranslationUICultureID], [TranslationText]) VALUES (@resourcestringid, @cultureid, 'Error loading user control')

	INSERT [CMS_ResourceString] ([StringKey], [StringIsCustom]) VALUES ('pageplaceholder.layoutinfo', 0)
	set @resourcestringid=@@identity
	INSERT [CMS_ResourceTranslation] ([TranslationStringID], [TranslationUICultureID], [TranslationText]) VALUES (@resourcestringid, @cultureid, 'Use the following expression to add a new web part zone: &lt;cc1:CMSWebPartZone ID="zoneTopRight" runat="server" /&gt;<br /> (the ID must be unique within page layout)')

	INSERT [CMS_ResourceString] ([StringKey], [StringIsCustom]) VALUES ('contentrequest.errorchildclassnotallowed', 0)
	set @resourcestringid=@@identity
	INSERT [CMS_ResourceTranslation] ([TranslationStringID], [TranslationUICultureID], [TranslationText]) VALUES (@resourcestringid, @cultureid, 'The document type is not allowed in current location.')



	-- UPDATE RESOURCE TRANSLATIONS
	declare @stringid int
	set @stringid=(SELECT [StringID] FROM [CMS_ResourceString] WHERE StringKey='site_edit.aliasexists')
	UPDATE [CMS_ResourceTranslation] SET [TranslationText]='Running alias with the same name already exists.' WHERE [TranslationStringID]=@stringid AND [TranslationUICultureID]=@cultureid

	set @stringid=(SELECT [StringID] FROM [CMS_ResourceString] WHERE StringKey='webpartzone.addwebpart')
	UPDATE [CMS_ResourceTranslation] SET [TranslationText]='Add&nbsp;web&nbsp;part' WHERE [TranslationStringID]=@stringid AND [TranslationUICultureID]=@cultureid

	set @stringid=(SELECT [StringID] FROM [CMS_ResourceString] WHERE StringKey='pageplaceholder.titleinfo')
	UPDATE [CMS_ResourceTranslation] SET [TranslationText]='{0} (page&nbsp;template:&nbsp;{1})' WHERE [TranslationStringID]=@stringid AND [TranslationUICultureID]=@cultureid

	set @stringid=(SELECT [StringID] FROM [CMS_ResourceString] WHERE StringKey='exportsite.errorpermissions')
	UPDATE [CMS_ResourceTranslation] SET [TranslationText]='The site export is disabled because of insufficient write permissions for the directory ''{0}''.' WHERE [TranslationStringID]=@stringid AND [TranslationUICultureID]=@cultureid
end


GO


-- CREATE STORED PROCEDURES
CREATE PROCEDURE [Proc_CMS_ScheduledTask_FetchTasksToRun]
	@TaskSiteID int	
AS
BEGIN
	DECLARE @TaskIDs TABLE (TaskID int);
	BEGIN TRAN
	INSERT INTO @TaskIDs SELECT TaskID FROM CMS_ScheduledTask WHERE TaskNextRunTime IS NOT NULL AND TaskNextRunTime <= getdate() AND TaskEnabled = 1 AND (TaskSiteID = @TaskSiteID OR TaskSiteID IS NULL);
	
	UPDATE CMS_ScheduledTask SET TaskNextRunTime = NULL WHERE TaskEnabled = 1 AND (TaskSiteID = @TaskSiteID OR TaskSiteID IS NULL);
	COMMIT TRAN
	SELECT * FROM @TaskIDs;
END

GO

CREATE PROCEDURE [Proc_CMS_Tree_SelectParentCacheNode]
	@SiteID int,
	@NodeAliasPath nvarchar(450)
AS
BEGIN
SELECT TOP 1 * FROM CMS_Tree WHERE
	(NodeSiteID=@SiteID AND (NodeAliasPath='/' OR @NodeAliasPath LIKE NodeAliasPath+'/%') AND NodeCacheMinutes IS NOT NULL) ORDER BY NodeAliasPath DESC
END


GO


-- INSERT WEBPARTS
INSERT [CMS_WebPart] ([WebPartName], [WebPartDisplayName], [WebPartDescription], [WebPartFileName], [WebPartProperties], [WebPartCategoryID]) VALUES ('randomDocument', 'Random document', '', 'viewers/randomdocument.ascx', '<form><field column="WebPartControlID" fieldcaption="Web part control ID" visible="true" defaultvalue="" columntype="text" fieldtype="textbox" allowempty="false" isPK="false" system="false" columnsize="50" fielddescription="" regularexpression="\w+" minstringlength="" maxstringlength="" minnumericvalue="" maxnumericvalue="" mindatetimevalue="" maxdatetimevalue="" validationerrormessage="Control ID must match identificator format." captionstyle="" inputcontrolstyle="" fileextensions="" publicfield="false" /><field column="Visible" fieldcaption="Visible" visible="true" defaultvalue="true" columntype="boolean" fieldtype="checkbox" allowempty="false" isPK="false" system="false" columnsize="" fielddescription="" regularexpression="" minstringlength="" maxstringlength="" minnumericvalue="" maxnumericvalue="" mindatetimevalue="" maxdatetimevalue="" validationerrormessage="" captionstyle="" inputcontrolstyle="" fileextensions="" publicfield="false" /><field column="HideOnSubPages" fieldcaption="Hide on subpages" visible="true" defaultvalue="" columntype="boolean" fieldtype="checkbox" allowempty="false" isPK="false" system="false" columnsize="" fielddescription="" regularexpression="" minstringlength="" maxstringlength="" minnumericvalue="" maxnumericvalue="" mindatetimevalue="" maxdatetimevalue="" validationerrormessage="" captionstyle="" inputcontrolstyle="" fileextensions="" publicfield="false" /><field column="ShowForDocumentTypes" fieldcaption="Show for document types" visible="true" defaultvalue="" columntype="text" fieldtype="usercontrol" allowempty="true" isPK="false" system="false" columnsize="200" fielddescription="" regularexpression="" minstringlength="" maxstringlength="" minnumericvalue="" maxnumericvalue="" mindatetimevalue="" maxdatetimevalue="" validationerrormessage="" captionstyle="" inputcontrolstyle="" fileextensions="" publicfield="false"><settings><controlname>selectclassnames</controlname></settings></field><category name="Content" /><field column="Path" fieldcaption="Path" visible="true" defaultvalue="" columntype="text" fieldtype="usercontrol" allowempty="true" isPK="false" system="false" columnsize="100" fielddescription="" regularexpression="" minstringlength="" maxstringlength="" minnumericvalue="" maxnumericvalue="" mindatetimevalue="" maxdatetimevalue="" validationerrormessage="" captionstyle="" inputcontrolstyle="" fileextensions="" publicfield="false"><settings><controlname>selectpath</controlname></settings></field><field column="SiteName" fieldcaption="Site name" visible="true" defaultvalue="" columntype="text" fieldtype="usercontrol" allowempty="true" isPK="false" system="false" columnsize="100" fielddescription="" regularexpression="" minstringlength="" maxstringlength="" minnumericvalue="" maxnumericvalue="" mindatetimevalue="" maxdatetimevalue="" validationerrormessage="" captionstyle="" inputcontrolstyle="" fileextensions="" publicfield="false"><settings><controlname>selectsite</controlname></settings></field><field column="CultureCode" fieldcaption="Culture code" visible="true" defaultvalue="" columntype="text" fieldtype="usercontrol" allowempty="true" isPK="false" system="false" columnsize="100" fielddescription="" regularexpression="" minstringlength="" maxstringlength="" minnumericvalue="" maxnumericvalue="" mindatetimevalue="" maxdatetimevalue="" validationerrormessage="" captionstyle="" inputcontrolstyle="" fileextensions="" publicfield="false"><settings><controlname>selectculture</controlname></settings></field><field column="MaxRelativeLevel" fieldcaption="Maximum nesting level" visible="true" defaultvalue="-1" columntype="integer" fieldtype="textbox" allowempty="true" isPK="false" system="false" columnsize="" fielddescription="" regularexpression="" minstringlength="" maxstringlength="" minnumericvalue="" maxnumericvalue="" mindatetimevalue="" maxdatetimevalue="" validationerrormessage="" captionstyle="" inputcontrolstyle="" fileextensions="" publicfield="false" /><field column="ClassNames" fieldcaption="Document type" visible="true" defaultvalue="" columntype="text" fieldtype="usercontrol" allowempty="true" isPK="false" system="false" columnsize="100" fielddescription="" regularexpression="" minstringlength="" maxstringlength="" minnumericvalue="" maxnumericvalue="" mindatetimevalue="" maxdatetimevalue="" validationerrormessage="" captionstyle="" inputcontrolstyle="" fileextensions="" publicfield="false"><settings><controlname>selectclassnames</controlname></settings></field><field column="TransformationName" fieldcaption="Transformation name" visible="true" defaultvalue="" columntype="text" fieldtype="usercontrol" allowempty="true" isPK="false" system="false" columnsize="100" fielddescription="" regularexpression="" minstringlength="" maxstringlength="" minnumericvalue="" maxnumericvalue="" mindatetimevalue="" maxdatetimevalue="" validationerrormessage="" captionstyle="" inputcontrolstyle="" fileextensions="" publicfield="false"><settings><controlname>selecttransformation</controlname></settings></field><category name="HTML Envelope" /><field column="Container" fieldcaption="Web part container" visible="true" defaultvalue="" columntype="text" fieldtype="usercontrol" allowempty="true" isPK="false" system="false" columnsize="200" fielddescription="" regularexpression="" minstringlength="" maxstringlength="" minnumericvalue="" maxnumericvalue="" mindatetimevalue="" maxdatetimevalue="" validationerrormessage="" captionstyle="" inputcontrolstyle="" fileextensions="" publicfield="false"><settings><controlname>selectcontainer</controlname></settings></field><field column="ContainerTitle" fieldcaption="Web part container title" visible="true" defaultvalue="" columntype="text" fieldtype="textbox" allowempty="true" isPK="false" system="false" columnsize="200" fielddescription="" regularexpression="" minstringlength="" maxstringlength="" minnumericvalue="" maxnumericvalue="" mindatetimevalue="" maxdatetimevalue="" validationerrormessage="" captionstyle="" inputcontrolstyle="" fileextensions="" publicfield="false" /><field column="ContentBefore" fieldcaption="Content before" visible="true" defaultvalue="" columntype="longtext" fieldtype="usercontrol" allowempty="true" isPK="false" system="false" columnsize="" fielddescription="" regularexpression="" minstringlength="" maxstringlength="" minnumericvalue="" maxnumericvalue="" mindatetimevalue="" maxdatetimevalue="" validationerrormessage="" captionstyle="" inputcontrolstyle="" fileextensions="" publicfield="false"><settings><controlname>largetextarea</controlname></settings></field><field column="ContentAfter" fieldcaption="Content after" visible="true" defaultvalue="" columntype="longtext" fieldtype="usercontrol" allowempty="true" isPK="false" system="false" columnsize="" fielddescription="" regularexpression="" minstringlength="" maxstringlength="" minnumericvalue="" maxnumericvalue="" mindatetimevalue="" maxdatetimevalue="" validationerrormessage="" captionstyle="" inputcontrolstyle="" fileextensions="" publicfield="false"><settings><controlname>largetextarea</controlname></settings></field></form>', 167)
INSERT [CMS_WebPart] ([WebPartName], [WebPartDisplayName], [WebPartDescription], [WebPartFileName], [WebPartProperties], [WebPartCategoryID]) VALUES ('DocumentPager', 'Document pager', 'Displays single item from data, pager control is used to view other items.', 'Viewers/documentpager.ascx', '<form><field column="WebPartControlID" fieldcaption="Web part control ID" visible="true" defaultvalue="" columntype="text" fieldtype="textbox" allowempty="false" isPK="false" system="false" columnsize="50" fielddescription="" regularexpression="\w+" minstringlength="" maxstringlength="" minnumericvalue="" maxnumericvalue="" mindatetimevalue="" maxdatetimevalue="" validationerrormessage="Control ID must match identificator format." captionstyle="" inputcontrolstyle="" fileextensions="" publicfield="false" /><field column="Visible" fieldcaption="Visible" visible="true" defaultvalue="true" columntype="boolean" fieldtype="checkbox" allowempty="false" isPK="false" system="false" columnsize="" fielddescription="" regularexpression="" minstringlength="" maxstringlength="" minnumericvalue="" maxnumericvalue="" mindatetimevalue="" maxdatetimevalue="" validationerrormessage="" captionstyle="" inputcontrolstyle="" fileextensions="" publicfield="false" /><field column="HideOnSubPages" fieldcaption="Hide on subpages" visible="true" defaultvalue="" columntype="boolean" fieldtype="checkbox" allowempty="false" isPK="false" system="false" columnsize="" fielddescription="" regularexpression="" minstringlength="" maxstringlength="" minnumericvalue="" maxnumericvalue="" mindatetimevalue="" maxdatetimevalue="" validationerrormessage="" captionstyle="" inputcontrolstyle="" fileextensions="" publicfield="false" /><field column="ShowForDocumentTypes" fieldcaption="Show for document types" visible="true" defaultvalue="" columntype="text" fieldtype="usercontrol" allowempty="true" isPK="false" system="false" columnsize="200" fielddescription="" regularexpression="" minstringlength="" maxstringlength="" minnumericvalue="" maxnumericvalue="" mindatetimevalue="" maxdatetimevalue="" validationerrormessage="" captionstyle="" inputcontrolstyle="" fileextensions="" publicfield="false"><settings><controlname>selectclassnames</controlname></settings></field><category name="Content" /><field column="Path" fieldcaption="Path" visible="true" defaultvalue="" columntype="text" fieldtype="usercontrol" allowempty="true" isPK="false" system="false" columnsize="450" fielddescription="" regularexpression="" minstringlength="" maxstringlength="" minnumericvalue="" maxnumericvalue="" mindatetimevalue="" maxdatetimevalue="" validationerrormessage="" captionstyle="" inputcontrolstyle="" fileextensions="" publicfield="false"><settings><controlname>selectpath</controlname></settings></field><category name="Content filter" /><field column="ClassNames" fieldcaption="Document types" visible="true" defaultvalue="" columntype="text" fieldtype="usercontrol" allowempty="true" isPK="false" system="false" columnsize="200" fielddescription="" regularexpression="" minstringlength="" maxstringlength="" minnumericvalue="" maxnumericvalue="" mindatetimevalue="" maxdatetimevalue="" validationerrormessage="" captionstyle="" inputcontrolstyle="" fileextensions="" publicfield="false"><settings><controlname>selectclassnames</controlname></settings></field><field column="CultureCode" fieldcaption="Culture code" visible="true" defaultvalue="" columntype="text" fieldtype="usercontrol" allowempty="true" isPK="false" system="false" columnsize="20" fielddescription="" regularexpression="" minstringlength="" maxstringlength="" minnumericvalue="" maxnumericvalue="" mindatetimevalue="" maxdatetimevalue="" validationerrormessage="" captionstyle="" inputcontrolstyle="" fileextensions="" publicfield="false"><settings><controlname>selectculture</controlname></settings></field><field column="SiteName" fieldcaption="Site name" visible="true" defaultvalue="" columntype="text" fieldtype="usercontrol" allowempty="true" isPK="false" system="false" columnsize="200" fielddescription="" regularexpression="" minstringlength="" maxstringlength="" minnumericvalue="" maxnumericvalue="" mindatetimevalue="" maxdatetimevalue="" validationerrormessage="" captionstyle="" inputcontrolstyle="" fileextensions="" publicfield="false"><settings><controlname>selectsite</controlname></settings></field><category name="Transformations" /><field column="TransformationName" fieldcaption="Transformation" visible="true" defaultvalue="" columntype="text" fieldtype="usercontrol" allowempty="true" isPK="false" system="false" columnsize="200" fielddescription="" regularexpression="" minstringlength="" maxstringlength="" minnumericvalue="" maxnumericvalue="" mindatetimevalue="" maxdatetimevalue="" validationerrormessage="" captionstyle="" inputcontrolstyle="" fileextensions="" publicfield="false"><settings><controlname>selecttransformation</controlname></settings></field><category name="Paging" /><field column="PagerPosition" fieldcaption="Pager position" visible="true" defaultvalue="0" columntype="text" fieldtype="dropdownlist" allowempty="false" isPK="false" system="false" columnsize="50" fielddescription="" regularexpression="" minstringlength="" maxstringlength="" minnumericvalue="" maxnumericvalue="" mindatetimevalue="" maxdatetimevalue="" validationerrormessage="" captionstyle="" inputcontrolstyle="" fileextensions="" publicfield="false"><settings><options><item value="bottom" text="Bottom" /><item value="top" text="Top" /></options></settings></field><field column="BackText" fieldcaption="Previous button text" visible="true" defaultvalue="" columntype="text" fieldtype="textbox" allowempty="true" isPK="false" system="false" columnsize="100" fielddescription="" regularexpression="" minstringlength="" maxstringlength="" minnumericvalue="" maxnumericvalue="" mindatetimevalue="" maxdatetimevalue="" validationerrormessage="" captionstyle="" inputcontrolstyle="" fileextensions="" publicfield="false" /><field column="NextText" fieldcaption="Next button text" visible="true" defaultvalue="" columntype="text" fieldtype="textbox" allowempty="true" isPK="false" system="false" columnsize="100" fielddescription="" regularexpression="" minstringlength="" maxstringlength="" minnumericvalue="" maxnumericvalue="" mindatetimevalue="" maxdatetimevalue="" validationerrormessage="" captionstyle="" inputcontrolstyle="" fileextensions="" publicfield="false" /><field column="UnselectedPageClass" fieldcaption="Page number CSS class" visible="true" defaultvalue="" columntype="text" fieldtype="textbox" allowempty="true" isPK="false" system="false" columnsize="100" fielddescription="" regularexpression="" minstringlength="" maxstringlength="" minnumericvalue="" maxnumericvalue="" mindatetimevalue="" maxdatetimevalue="" validationerrormessage="" captionstyle="" inputcontrolstyle="" fileextensions="" publicfield="false" /><field column="SelectedPageClass" fieldcaption="Selected page number CSS class" visible="true" defaultvalue="" columntype="text" fieldtype="textbox" allowempty="true" isPK="false" system="false" columnsize="100" fielddescription="" regularexpression="" minstringlength="" maxstringlength="" minnumericvalue="" maxnumericvalue="" mindatetimevalue="" maxdatetimevalue="" validationerrormessage="" captionstyle="" inputcontrolstyle="" fileextensions="" publicfield="false" /><field column="SelectedNextClass" fieldcaption="Selected Next button CSS class" visible="true" defaultvalue="" columntype="text" fieldtype="textbox" allowempty="true" isPK="false" system="false" columnsize="100" fielddescription="" regularexpression="" minstringlength="" maxstringlength="" minnumericvalue="" maxnumericvalue="" mindatetimevalue="" maxdatetimevalue="" validationerrormessage="" captionstyle="" inputcontrolstyle="" fileextensions="" publicfield="false" /><field column="SelectedPrevClass" fieldcaption="Selected Previous button CSS class" visible="true" defaultvalue="" columntype="text" fieldtype="textbox" allowempty="true" isPK="false" system="false" columnsize="100" fielddescription="" regularexpression="" minstringlength="" maxstringlength="" minnumericvalue="" maxnumericvalue="" mindatetimevalue="" maxdatetimevalue="" validationerrormessage="" captionstyle="" inputcontrolstyle="" fileextensions="" publicfield="false" /><field column="UnselectedNextClass" fieldcaption="Next button CSS class" visible="true" defaultvalue="" columntype="text" fieldtype="textbox" allowempty="true" isPK="false" system="false" columnsize="100" fielddescription="" regularexpression="" minstringlength="" maxstringlength="" minnumericvalue="" maxnumericvalue="" mindatetimevalue="" maxdatetimevalue="" validationerrormessage="" captionstyle="" inputcontrolstyle="" fileextensions="" publicfield="false" /><field column="UnselectedPrevClass" fieldcaption="Previous button CSS class" visible="true" defaultvalue="" columntype="text" fieldtype="textbox" allowempty="true" isPK="false" system="false" columnsize="100" fielddescription="" regularexpression="" minstringlength="" maxstringlength="" minnumericvalue="" maxnumericvalue="" mindatetimevalue="" maxdatetimevalue="" validationerrormessage="" captionstyle="" inputcontrolstyle="" fileextensions="" publicfield="false" /><field column="PageNumberSeparator" fieldcaption="Page number separator" visible="true" defaultvalue="-" columntype="text" fieldtype="textbox" allowempty="true" isPK="false" system="false" columnsize="100" fielddescription="" regularexpression="" minstringlength="" maxstringlength="" minnumericvalue="" maxnumericvalue="" mindatetimevalue="" maxdatetimevalue="" validationerrormessage="" captionstyle="" inputcontrolstyle="" fileextensions="" publicfield="false" /><category name="System settings" /><field column="CacheItemName" fieldcaption="Cache item name" visible="true" defaultvalue="" columntype="text" fieldtype="textbox" allowempty="true" isPK="false" system="false" columnsize="200" fielddescription="" regularexpression="" minstringlength="" maxstringlength="" minnumericvalue="" maxnumericvalue="" mindatetimevalue="" maxdatetimevalue="" validationerrormessage="" captionstyle="" inputcontrolstyle="" fileextensions="" publicfield="false" /><field column="CacheMinutes" fieldcaption="Cache minutes" visible="true" defaultvalue="" columntype="integer" fieldtype="textbox" allowempty="true" isPK="false" system="false" columnsize="" fielddescription="" regularexpression="" minstringlength="" maxstringlength="" minnumericvalue="" maxnumericvalue="" mindatetimevalue="" maxdatetimevalue="" validationerrormessage="" captionstyle="" inputcontrolstyle="" fileextensions="" publicfield="false" /><category name="HTML Envelope" /><field column="Container" fieldcaption="Web part container" visible="true" defaultvalue="" columntype="text" fieldtype="usercontrol" allowempty="true" isPK="false" system="false" columnsize="200" fielddescription="" regularexpression="" minstringlength="" maxstringlength="" minnumericvalue="" maxnumericvalue="" mindatetimevalue="" maxdatetimevalue="" validationerrormessage="" captionstyle="" inputcontrolstyle="" fileextensions="" publicfield="false"><settings><controlname>selectcontainer</controlname></settings></field><field column="ContainerTitle" fieldcaption="Web part container title" visible="true" defaultvalue="" columntype="text" fieldtype="textbox" allowempty="true" isPK="false" system="false" columnsize="200" fielddescription="" regularexpression="" minstringlength="" maxstringlength="" minnumericvalue="" maxnumericvalue="" mindatetimevalue="" maxdatetimevalue="" validationerrormessage="" captionstyle="" inputcontrolstyle="" fileextensions="" publicfield="false" /><field column="ContentBefore" fieldcaption="Content before" visible="true" defaultvalue="" columntype="longtext" fieldtype="usercontrol" allowempty="true" isPK="false" system="false" columnsize="" fielddescription="" regularexpression="" minstringlength="" maxstringlength="" minnumericvalue="" maxnumericvalue="" mindatetimevalue="" maxdatetimevalue="" validationerrormessage="" captionstyle="" inputcontrolstyle="" fileextensions="" publicfield="false"><settings><controlname>largetextarea</controlname></settings></field><field column="ContentAfter" fieldcaption="Content after" visible="true" defaultvalue="" columntype="longtext" fieldtype="usercontrol" allowempty="true" isPK="false" system="false" columnsize="" fielddescription="" regularexpression="" minstringlength="" maxstringlength="" minnumericvalue="" maxnumericvalue="" mindatetimevalue="" maxdatetimevalue="" validationerrormessage="" captionstyle="" inputcontrolstyle="" fileextensions="" publicfield="false"><settings><controlname>largetextarea</controlname></settings></field></form>', 167)

-- UPDATE WEBPART
UPDATE [CMS_WebPart] SET [WebPartProperties]='<form><field column="WebPartControlID" fieldcaption="ID" visible="true" defaultvalue="" columntype="text" fieldtype="textbox" allowempty="false" isPK="false" system="false" columnsize="50" fielddescription="" regularexpression="\w+" minstringlength="" maxstringlength="" minnumericvalue="" maxnumericvalue="" mindatetimevalue="" maxdatetimevalue="" validationerrormessage="Control ID must match identificator format" captionstyle="" inputcontrolstyle="" fileextensions=""></field><field column="Visible" fieldcaption="Visible" visible="true" defaultvalue="true" columntype="boolean" fieldtype="checkbox" allowempty="false" isPK="false" system="false" columnsize="" fielddescription="" regularexpression="" minstringlength="" maxstringlength="" minnumericvalue="" maxnumericvalue="" mindatetimevalue="" maxdatetimevalue="" validationerrormessage="" captionstyle="" inputcontrolstyle="" fileextensions="" /><field column="HideOnSubPages" fieldcaption="Hide on sub-pages" visible="true" defaultvalue="false" columntype="boolean" fieldtype="checkbox" allowempty="false" isPK="false" system="false" columnsize="" fielddescription="" regularexpression="" minstringlength="" maxstringlength="" minnumericvalue="" maxnumericvalue="" mindatetimevalue="" maxdatetimevalue="" validationerrormessage="" captionstyle="" inputcontrolstyle="" fileextensions="" /><field column="ShowForDocumentTypes" fieldcaption="Show for document types" visible="true" defaultvalue="" columntype="text" fieldtype="usercontrol" allowempty="true" isPK="false" system="false" columnsize="200" fielddescription="" regularexpression="" minstringlength="" maxstringlength="" minnumericvalue="" maxnumericvalue="" mindatetimevalue="" maxdatetimevalue="" validationerrormessage="" captionstyle="" inputcontrolstyle="" fileextensions="" publicfield="false"><settings><controlname>selectclassnames</controlname></settings></field><category name="Content" /><field column="Path" fieldcaption="Path" visible="true" columntype="text" fieldtype="usercontrol" allowempty="true" columnsize="450" fielddescription="" defaultvalue="" isPK="false" system="false" regularexpression="" minstringlength="" maxstringlength="" minnumericvalue="" maxnumericvalue="" mindatetimevalue="" maxdatetimevalue="" validationerrormessage="" captionstyle="" inputcontrolstyle="" fileextensions=""><settings><controlname>selectpath</controlname></settings></field><field column="HighlightedNodePath" fieldcaption="Highlighted document path" visible="true" columntype="text" fieldtype="usercontrol" allowempty="true" columnsize="450" fielddescription="" defaultvalue="" isPK="false" system="false" regularexpression="" minstringlength="" maxstringlength="" minnumericvalue="" maxnumericvalue="" mindatetimevalue="" maxdatetimevalue="" validationerrormessage="" captionstyle="" inputcontrolstyle="" fileextensions="" publicfield="false"><settings><controlname>selectsinglepath</controlname></settings></field><category name="Content filter" /><field column="ClassNames" fieldcaption="Document types" visible="true" columntype="text" fieldtype="usercontrol" allowempty="true" columnsize="200" fielddescription="" defaultvalue="" isPK="false" system="false" regularexpression="" minstringlength="" maxstringlength="" minnumericvalue="" maxnumericvalue="" mindatetimevalue="" maxdatetimevalue="" validationerrormessage="" captionstyle="" inputcontrolstyle="" fileextensions=""><settings><controlname>selectclassnames</controlname></settings></field><field column="CombineWithDefaultCulture" fieldcaption="Combine with default culture" visible="true" columntype="text" fieldtype="radiobuttons" allowempty="true" columnsize="4" fielddescription="" defaultvalue="" isPK="false" system="false" regularexpression="" minstringlength="" maxstringlength="" minnumericvalue="" maxnumericvalue="" mindatetimevalue="" maxdatetimevalue="" validationerrormessage="" captionstyle="" inputcontrolstyle="" fileextensions=""><settings><options><item value="true" text="Yes" /><item value="false" text="No" /><item value="" text="Use site settings" /></options></settings></field><field column="CultureCode" fieldcaption="Culture code" visible="true" columntype="text" fieldtype="usercontrol" allowempty="true" columnsize="20" fielddescription="" defaultvalue="" isPK="false" system="false" regularexpression="" minstringlength="" maxstringlength="" minnumericvalue="" maxnumericvalue="" mindatetimevalue="" maxdatetimevalue="" validationerrormessage="" captionstyle="" inputcontrolstyle="" fileextensions=""><settings><controlname>selectculture</controlname></settings></field><field column="MaxRelativeLevel" fieldcaption="Maximum nesting level" visible="true" columntype="integer" fieldtype="textbox" allowempty="true" columnsize="" fielddescription="" defaultvalue="-1" isPK="false" system="false" regularexpression="" minstringlength="" maxstringlength="" minnumericvalue="" maxnumericvalue="" mindatetimevalue="" maxdatetimevalue="" validationerrormessage="" captionstyle="" inputcontrolstyle="" fileextensions=""></field><field column="OrderBy" fieldcaption="ORDER BY expression" visible="true" columntype="text" fieldtype="textbox" allowempty="true" columnsize="500" fielddescription="" defaultvalue="" isPK="false" system="false" regularexpression="" minstringlength="" maxstringlength="" minnumericvalue="" maxnumericvalue="" mindatetimevalue="" maxdatetimevalue="" validationerrormessage="" captionstyle="" inputcontrolstyle="" fileextensions=""></field><field column="SelectOnlyPublished" fieldcaption="Select only published" visible="true" columntype="boolean" fieldtype="checkbox" allowempty="true" columnsize="" fielddescription="" defaultvalue="true" isPK="false" system="false" regularexpression="" minstringlength="" maxstringlength="" minnumericvalue="" maxnumericvalue="" mindatetimevalue="" maxdatetimevalue="" validationerrormessage="" captionstyle="" inputcontrolstyle="" fileextensions=""></field><field column="SiteName" fieldcaption="Site name" visible="true" columntype="text" fieldtype="usercontrol" allowempty="true" columnsize="200" fielddescription="" defaultvalue="" isPK="false" system="false" regularexpression="" minstringlength="" maxstringlength="" minnumericvalue="" maxnumericvalue="" mindatetimevalue="" maxdatetimevalue="" validationerrormessage="" captionstyle="" inputcontrolstyle="" fileextensions=""><settings><controlname>selectsite</controlname></settings></field><field column="WhereCondition" fieldcaption="WHERE condition" visible="true" columntype="text" fieldtype="textbox" allowempty="true" columnsize="500" fielddescription="" defaultvalue="" isPK="false" system="false" regularexpression="" minstringlength="" maxstringlength="" minnumericvalue="" maxnumericvalue="" mindatetimevalue="" maxdatetimevalue="" validationerrormessage="" captionstyle="" inputcontrolstyle="" fileextensions=""></field><category name="Design" /><field column="CSSPrefix" fieldcaption="CSS prefix" visible="true" columntype="text" fieldtype="textbox" allowempty="true" columnsize="200" fielddescription="" defaultvalue="" isPK="false" system="false" regularexpression="" minstringlength="" maxstringlength="" minnumericvalue="" maxnumericvalue="" mindatetimevalue="" maxdatetimevalue="" validationerrormessage="" captionstyle="" inputcontrolstyle="" fileextensions=""></field><field column="DisplayHighlightedItemAsLink" fieldcaption="Display highlighted item as link" visible="true" columntype="boolean" fieldtype="checkbox" allowempty="true" columnsize="" fielddescription="" defaultvalue="true" isPK="false" system="false" regularexpression="" minstringlength="" maxstringlength="" minnumericvalue="" maxnumericvalue="" mindatetimevalue="" maxdatetimevalue="" validationerrormessage="" captionstyle="" inputcontrolstyle="" fileextensions=""></field><field column="DisplayOnlySelectedPath" fieldcaption="Display only selected path" visible="true" columntype="boolean" fieldtype="checkbox" allowempty="true" columnsize="" fielddescription="" defaultvalue="false" isPK="false" system="false" regularexpression="" minstringlength="" maxstringlength="" minnumericvalue="" maxnumericvalue="" mindatetimevalue="" maxdatetimevalue="" validationerrormessage="" captionstyle="" inputcontrolstyle="" fileextensions=""></field><field column="FirstItemCssClass" fieldcaption="First item CSS class" visible="true" columntype="text" fieldtype="textbox" allowempty="true" columnsize="200" fielddescription="" defaultvalue="" isPK="false" system="false" regularexpression="" minstringlength="" maxstringlength="" minnumericvalue="" maxnumericvalue="" mindatetimevalue="" maxdatetimevalue="" validationerrormessage="" captionstyle="" inputcontrolstyle="" fileextensions=""></field><field column="HighlightAllItemsInPath" fieldcaption="Highlight all items in path" visible="true" columntype="boolean" fieldtype="checkbox" allowempty="true" columnsize="" fielddescription="" defaultvalue="true" isPK="false" system="false" regularexpression="" minstringlength="" maxstringlength="" minnumericvalue="" maxnumericvalue="" mindatetimevalue="" maxdatetimevalue="" validationerrormessage="" captionstyle="" inputcontrolstyle="" fileextensions=""></field><field column="HoverCSSClassName" fieldcaption="LI hover CSS class name" visible="true" defaultvalue="" columntype="text" fieldtype="textbox" allowempty="true" isPK="false" system="false" columnsize="200" fielddescription="" regularexpression="" minstringlength="" maxstringlength="" minnumericvalue="" maxnumericvalue="" mindatetimevalue="" maxdatetimevalue="" validationerrormessage="" captionstyle="" inputcontrolstyle="" fileextensions="" publicfield="false" /><field column="LastItemCssClass" fieldcaption="Last item CSS class" visible="true" columntype="text" fieldtype="textbox" allowempty="true" columnsize="200" fielddescription="" defaultvalue="" isPK="false" system="false" regularexpression="" minstringlength="" maxstringlength="" minnumericvalue="" maxnumericvalue="" mindatetimevalue="" maxdatetimevalue="" validationerrormessage="" captionstyle="" inputcontrolstyle="" fileextensions=""></field><field column="OnMouseOutScript" fieldcaption="OnMouseOut script" visible="true" columntype="text" fieldtype="textbox" allowempty="true" columnsize="500" fielddescription="" defaultvalue="" isPK="false" system="false" regularexpression="" minstringlength="" maxstringlength="" minnumericvalue="" maxnumericvalue="" mindatetimevalue="" maxdatetimevalue="" validationerrormessage="" captionstyle="" inputcontrolstyle="" fileextensions=""></field><field column="OnMouseOverScript" fieldcaption="OnMouseOver script" visible="true" columntype="text" fieldtype="textbox" allowempty="true" columnsize="500" fielddescription="" defaultvalue="" isPK="false" system="false" regularexpression="" minstringlength="" maxstringlength="" minnumericvalue="" maxnumericvalue="" mindatetimevalue="" maxdatetimevalue="" validationerrormessage="" captionstyle="" inputcontrolstyle="" fileextensions=""></field><field column="RenderCssClasses" fieldcaption="Render CSS classes" visible="true" columntype="boolean" fieldtype="checkbox" allowempty="true" columnsize="" fielddescription="" defaultvalue="true" isPK="false" system="false" regularexpression="" minstringlength="" maxstringlength="" minnumericvalue="" maxnumericvalue="" mindatetimevalue="" maxdatetimevalue="" validationerrormessage="" captionstyle="" inputcontrolstyle="" fileextensions="" publicfield="false"></field><field column="RenderItemID" fieldcaption="Render item ID" visible="true" columntype="boolean" fieldtype="checkbox" allowempty="true" columnsize="" fielddescription="" defaultvalue="false" isPK="false" system="false" regularexpression="" minstringlength="" maxstringlength="" minnumericvalue="" maxnumericvalue="" mindatetimevalue="" maxdatetimevalue="" validationerrormessage="" captionstyle="" inputcontrolstyle="" fileextensions=""></field><field column="ItemIdPrefix" fieldcaption="Item ID prefix" visible="true" defaultvalue="" columntype="text" fieldtype="textbox" allowempty="true" isPK="false" system="false" columnsize="50" fielddescription="" regularexpression="" minstringlength="" maxstringlength="" minnumericvalue="" maxnumericvalue="" mindatetimevalue="" maxdatetimevalue="" validationerrormessage="" captionstyle="" inputcontrolstyle="" fileextensions="" publicfield="false" /><field column="SubmenuIndicator" fieldcaption="Sub-menu indicator image" visible="true" columntype="text" fieldtype="textbox" allowempty="true" columnsize="500" fielddescription="" defaultvalue="" isPK="false" system="false" regularexpression="" minstringlength="" maxstringlength="" minnumericvalue="" maxnumericvalue="" mindatetimevalue="" maxdatetimevalue="" validationerrormessage="" captionstyle="" inputcontrolstyle="" fileextensions=""></field><field column="UrlTarget" fieldcaption="Target frame" visible="true" columntype="text" fieldtype="textbox" allowempty="true" columnsize="500" fielddescription="" defaultvalue="" isPK="false" system="false" regularexpression="" minstringlength="" maxstringlength="" minnumericvalue="" maxnumericvalue="" mindatetimevalue="" maxdatetimevalue="" validationerrormessage="" captionstyle="" inputcontrolstyle="" fileextensions=""></field><field column="UseAlternatingStyles" fieldcaption="Use alternating styles" visible="true" columntype="boolean" fieldtype="checkbox" allowempty="true" columnsize="" fielddescription="" defaultvalue="0"><settings /></field><category name="System settings" /><field column="CacheItemName" fieldcaption="Cache item name" visible="true" columntype="text" fieldtype="textbox" allowempty="true" columnsize="50" fielddescription="" defaultvalue="" isPK="false" system="false" regularexpression="" minstringlength="" maxstringlength="" minnumericvalue="" maxnumericvalue="" mindatetimevalue="" maxdatetimevalue="" validationerrormessage="" captionstyle="" inputcontrolstyle="" fileextensions=""></field><field column="CacheMinutes" fieldcaption="Cache minutes" visible="true" columntype="integer" fieldtype="textbox" allowempty="true" columnsize="" fielddescription="" defaultvalue="" isPK="false" system="false" regularexpression="" minstringlength="" maxstringlength="" minnumericvalue="" maxnumericvalue="" mindatetimevalue="" maxdatetimevalue="" validationerrormessage="" captionstyle="" inputcontrolstyle="" fileextensions="" publicfield="false"></field><field column="CheckPermissions" fieldcaption="Check permissions" visible="true" columntype="boolean" fieldtype="checkbox" allowempty="true" columnsize="" fielddescription="" defaultvalue="false" isPK="false" system="false" regularexpression="" minstringlength="" maxstringlength="" minnumericvalue="" maxnumericvalue="" mindatetimevalue="" maxdatetimevalue="" validationerrormessage="" captionstyle="" inputcontrolstyle="" fileextensions=""></field><category name="HTML Envelope" /><field column="Container" fieldcaption="Web part container" visible="true" defaultvalue="" columntype="text" fieldtype="usercontrol" allowempty="true" isPK="false" system="false" columnsize="200" fielddescription="" regularexpression="" minstringlength="" maxstringlength="" minnumericvalue="" maxnumericvalue="" mindatetimevalue="" maxdatetimevalue="" validationerrormessage="" captionstyle="" inputcontrolstyle="" fileextensions=""><settings><controlname>selectcontainer</controlname></settings></field><field column="ContainerTitle" fieldcaption="Web part container title" visible="true" defaultvalue="" columntype="text" fieldtype="textbox" allowempty="true" isPK="false" system="false" columnsize="200" fielddescription="" regularexpression="" minstringlength="" maxstringlength="" minnumericvalue="" maxnumericvalue="" mindatetimevalue="" maxdatetimevalue="" validationerrormessage="" captionstyle="" inputcontrolstyle="" fileextensions="" /><field column="ContentBefore" fieldcaption="Content before" visible="true" defaultvalue="" columntype="longtext" fieldtype="usercontrol" allowempty="true" isPK="false" system="false" columnsize="" fielddescription="" regularexpression="" minstringlength="" maxstringlength="" minnumericvalue="" maxnumericvalue="" mindatetimevalue="" maxdatetimevalue="" validationerrormessage="" captionstyle="" inputcontrolstyle="" fileextensions="" publicfield="false"><settings><controlname>largetextarea</controlname></settings></field><field column="ContentAfter" fieldcaption="Content after" visible="true" defaultvalue="" columntype="longtext" fieldtype="usercontrol" allowempty="true" isPK="false" system="false" columnsize="" fielddescription="" regularexpression="" minstringlength="" maxstringlength="" minnumericvalue="" maxnumericvalue="" mindatetimevalue="" maxdatetimevalue="" validationerrormessage="" captionstyle="" inputcontrolstyle="" fileextensions="" publicfield="false"><settings><controlname>largetextarea</controlname></settings></field></form>' WHERE [WebPartName]='cmslistmenu'

GO

-- UPDATE VIEWS

DROP VIEW [View_CMS_Tree_Joined]
GO
CREATE VIEW [View_CMS_Tree_Joined]
AS
SELECT     CASE WHEN ((DocumentCheckedOutVersionHistoryID IS NULL AND DocumentPublishedVersionHistoryID IS NULL) OR
                      (DocumentCheckedOutVersionHistoryID IS NOT NULL AND DocumentPublishedVersionHistoryID IS NOT NULL)) AND (DocumentPublishFrom IS NULL OR
                      (DocumentPublishFrom IS NOT NULL AND DocumentPublishFrom <= getdate())) AND (DocumentPublishTo IS NULL OR
                      (DocumentPublishTo IS NOT NULL AND DocumentPublishTo >= getdate())) AND ((StepName <> 'archived') OR
                      (StepName IS NULL)) THEN 1 ELSE 0 END AS Published, CMS_Site.SiteName, CMS_Class.ClassName, CMS_Class.ClassDisplayName, 
                      CMS_Tree.NodeID, CMS_Tree.NodeAliasPath, CMS_Tree.NodeName, CMS_Tree.NodeAlias, CMS_Tree.NodeClassID, 
                      CMS_Tree.NodeParentID, CMS_Tree.NodeLevel, CMS_Tree.NodeACLID, CMS_Tree.NodeSiteID, CMS_Tree.NodeGUID, 
                      CMS_Tree.NodeOrder, CMS_Document.DocumentID, CMS_Document.DocumentName, CMS_Document.DocumentNamePath, 
                      CMS_Document.DocumentModifiedWhen, CMS_Document.DocumentModifiedByUserID, CMS_Document.DocumentForeignKeyValue, 
                      CMS_Document.DocumentCreatedByUserID, CMS_Document.DocumentCreatedWhen, CMS_Document.DocumentCheckedOutByUserID, 
                      CMS_Document.DocumentCheckedOutWhen, CMS_Document.DocumentCheckedOutVersionHistoryID, 
                      CMS_Document.DocumentPublishedVersionHistoryID, CMS_Document.DocumentWorkflowStepID, CMS_Document.DocumentPublishFrom, 
                      CMS_Document.DocumentPublishTo, CMS_Document.DocumentUrlPath, CMS_Document.DocumentProductID, 
                      CMS_Document.DocumentCulture, CMS_Document.DocumentNodeID, CMS_Document.DocumentPageTitle, 
                      CMS_Document.DocumentPageKeyWords, CMS_Document.DocumentPageDescription, CMS_Document.DocumentShowInSiteMap, 
                      CMS_Document.DocumentMenuItemHideInNavigation, CMS_Document.DocumentMenuCaption, CMS_Document.DocumentMenuStyle, 
                      CMS_Document.DocumentMenuItemImage, CMS_Document.DocumentMenuItemLeftImage, 
                      CMS_Document.DocumentMenuItemRightImage, CMS_Document.DocumentPageTemplateID, CMS_Document.DocumentMenuJavascript, 
                      CMS_Document.DocumentMenuRedirectUrl, CMS_Document.DocumentUseNamePathForUrlPath, CMS_Document.DocumentStylesheetID, 
                      CMS_Document.DocumentContent, CMS_Tree.IsSecuredNode, CMS_Document.DocumentMenuClass, 
                      CMS_Document.DocumentMenuStyleOver, CMS_Document.DocumentMenuClassOver, CMS_Document.DocumentMenuItemImageOver, 
                      CMS_Document.DocumentMenuItemLeftImageOver, CMS_Document.DocumentMenuItemRightImageOver, 
                      CMS_Document.DocumentMenuStyleHighlighted, CMS_Document.DocumentMenuClassHighlighted, 
                      CMS_Document.DocumentMenuItemImageHighlighted, CMS_Document.DocumentMenuItemLeftImageHighlighted, 
                      CMS_Document.DocumentMenuItemRightImageHighlighted, CMS_Tree.NodeCacheMinutes
FROM         CMS_Tree INNER JOIN
                      CMS_Document ON CMS_Tree.NodeID = CMS_Document.DocumentNodeID INNER JOIN
                      CMS_Site ON CMS_Tree.NodeSiteID = CMS_Site.SiteID INNER JOIN
                      CMS_Class ON CMS_Tree.NodeClassID = CMS_Class.ClassID LEFT OUTER JOIN
                      CMS_WorkflowStep ON CMS_Document.DocumentWorkflowStepID = CMS_WorkflowStep.StepID


GO


DROP VIEW [View_CMS_Tree_Joined_Versions]
GO
CREATE VIEW [View_CMS_Tree_Joined_Versions]
AS
SELECT     CASE WHEN ((DocumentCheckedOutVersionHistoryID IS NULL AND DocumentPublishedVersionHistoryID IS NULL) OR
                      (DocumentCheckedOutVersionHistoryID IS NOT NULL AND DocumentPublishedVersionHistoryID IS NOT NULL)) AND (DocumentPublishFrom IS NULL OR
                      (DocumentPublishFrom IS NOT NULL AND DocumentPublishFrom <= getdate())) AND (DocumentPublishTo IS NULL OR
                      (DocumentPublishTo IS NOT NULL AND DocumentPublishTo >= getdate())) AND ((StepName <> 'archived') OR
                      (StepName IS NULL)) THEN 1 ELSE 0 END AS Published, CMS_Site.SiteName, CMS_Class.ClassName, CMS_Class.ClassDisplayName, 
                      CMS_Tree.NodeID, CMS_Tree.NodeAliasPath, CMS_Tree.NodeName, CMS_Tree.NodeAlias, CMS_Tree.NodeClassID, 
                      CMS_Tree.NodeParentID, CMS_Tree.NodeLevel, CMS_Tree.NodeACLID, CMS_Tree.NodeSiteID, CMS_Tree.NodeGUID, 
                      CMS_Tree.NodeOrder, CMS_Document.DocumentID, CMS_Document.DocumentName, CMS_Document.DocumentNamePath, 
                      CMS_Document.DocumentModifiedWhen, CMS_Document.DocumentModifiedByUserID, CMS_Document.DocumentForeignKeyValue, 
                      CMS_Document.DocumentCreatedByUserID, CMS_Document.DocumentCreatedWhen, CMS_Document.DocumentCheckedOutByUserID, 
                      CMS_Document.DocumentCheckedOutWhen, CMS_Document.DocumentCheckedOutVersionHistoryID, 
                      CMS_Document.DocumentPublishedVersionHistoryID, CMS_Document.DocumentWorkflowStepID, CMS_Document.DocumentPublishFrom, 
                      CMS_Document.DocumentPublishTo, CMS_Document.DocumentUrlPath, CMS_Document.DocumentProductID, 
                      CMS_Document.DocumentCulture, CMS_Document.DocumentNodeID, CMS_Document.DocumentPageTitle, 
                      CMS_Document.DocumentPageKeyWords, CMS_Document.DocumentPageDescription, CMS_Document.DocumentShowInSiteMap, 
                      CMS_Document.DocumentMenuItemHideInNavigation, CMS_Document.DocumentMenuCaption, CMS_Document.DocumentMenuStyle, 
                      CMS_Document.DocumentMenuItemImage, CMS_Document.DocumentMenuItemLeftImage, 
                      CMS_Document.DocumentMenuItemRightImage, CMS_Document.DocumentPageTemplateID, CMS_Document.DocumentMenuJavascript, 
                      CMS_Document.DocumentMenuRedirectUrl, CMS_Document.DocumentUseNamePathForUrlPath, CMS_Document.DocumentStylesheetID, 
                      CMS_Document.DocumentContent, CMS_VersionHistory.NodeXML, CMS_Tree.IsSecuredNode, CMS_Document.DocumentMenuClass, 
                      CMS_Document.DocumentMenuStyleOver, CMS_Document.DocumentMenuClassOver, CMS_Document.DocumentMenuItemImageOver, 
                      CMS_Document.DocumentMenuItemLeftImageOver, CMS_Document.DocumentMenuItemRightImageOver, 
                      CMS_Document.DocumentMenuStyleHighlighted, CMS_Document.DocumentMenuClassHighlighted, 
                      CMS_Document.DocumentMenuItemImageHighlighted, CMS_Document.DocumentMenuItemLeftImageHighlighted, 
                      CMS_Document.DocumentMenuItemRightImageHighlighted, CMS_Tree.NodeCacheMinutes
FROM         CMS_Tree INNER JOIN
                      CMS_Document ON CMS_Tree.NodeID = CMS_Document.DocumentNodeID INNER JOIN
                      CMS_Site ON CMS_Tree.NodeSiteID = CMS_Site.SiteID INNER JOIN
                      CMS_Class ON CMS_Tree.NodeClassID = CMS_Class.ClassID LEFT OUTER JOIN
                      CMS_VersionHistory ON 
                      CMS_Document.DocumentCheckedOutVersionHistoryID = CMS_VersionHistory.VersionHistoryID LEFT OUTER JOIN
                      CMS_WorkflowStep ON CMS_Document.DocumentWorkflowStepID = CMS_WorkflowStep.StepID


GO


DROP VIEW [View_PageInfo]
GO
CREATE VIEW [View_PageInfo]
AS
SELECT     CMS_Tree.NodeID, CMS_Tree.NodeAliasPath, CMS_Tree.NodeName, CMS_Tree.NodeAlias, CMS_Tree.NodeClassID, 
                      CMS_Tree.NodeParentID, CMS_Tree.NodeLevel, CMS_Tree.NodeACLID, CMS_Tree.NodeSiteID, CMS_Tree.NodeGUID, 
                      CMS_Tree.NodeOrder, CMS_Document.DocumentID, CMS_Document.DocumentName, CMS_Document.DocumentNamePath, 
                      CMS_Document.DocumentPublishFrom, CMS_Document.DocumentPublishTo, CMS_Document.DocumentUrlPath, 
                      CMS_Document.DocumentProductID, CMS_Document.DocumentCulture, CMS_Document.DocumentPageTitle, 
                      CMS_Document.DocumentPageKeyWords, CMS_Document.DocumentPageDescription, CMS_Document.DocumentMenuCaption, 
                      CMS_Document.DocumentPageTemplateID, CMS_PageTemplate.PageTemplateID, CMS_PageTemplate.PageTemplateDisplayName, 
                      CMS_PageTemplate.PageTemplateDescription, CMS_PageTemplate.PageTemplateFile, CMS_PageTemplate.PageTemplateIsPortal, 
                      CMS_PageTemplate.PageTemplateCategoryID, CMS_PageTemplate.PageTemplateLayoutID, 
                      CMS_PageTemplate.PageTemplateWebParts, CMS_PageTemplate.PageTemplateIsReusable, CMS_Class.ClassName, 
                      CMS_Document.DocumentContent, CMS_PageTemplate.PageTemplateCodeName, CMS_Document.DocumentStylesheetID, 
                      CMS_Tree.IsSecuredNode, CMS_Document.DocumentMenuRedirectUrl, CMS_PageTemplate.PageTemplateInheritPageLevels, 
                      CMS_PageTemplate.PageTemplateShowAsMasterTemplate, CMS_Document.DocumentMenuJavascript, 
                      CMS_Tree.NodeCacheMinutes
FROM         CMS_Tree INNER JOIN
                      CMS_Document ON CMS_Document.DocumentNodeID = CMS_Tree.NodeID INNER JOIN
                      CMS_Class ON CMS_Tree.NodeClassID = CMS_Class.ClassID LEFT OUTER JOIN
                      CMS_PageTemplate ON CMS_Document.DocumentPageTemplateID = CMS_PageTemplate.PageTemplateID


GO


DROP VIEW [View_PageInfo_Blank]
GO
CREATE VIEW [View_PageInfo_Blank]
AS
SELECT     CMS_Tree.NodeID, CMS_Tree.NodeAliasPath, CMS_Tree.NodeName, CMS_Tree.NodeAlias, CMS_Tree.NodeClassID, 
                      CMS_Tree.NodeParentID, CMS_Tree.NodeLevel, CMS_Tree.NodeACLID, CMS_Tree.NodeSiteID, CMS_Tree.NodeGUID, 
                      CMS_Tree.NodeOrder, CMS_Document.DocumentID, CMS_Document.DocumentName, CMS_Document.DocumentNamePath, 
                      CMS_Document.DocumentPublishFrom, CMS_Document.DocumentPublishTo, CMS_Document.DocumentUrlPath, 
                      CMS_Document.DocumentProductID, CMS_Document.DocumentCulture, CMS_Document.DocumentPageTitle, 
                      CMS_Document.DocumentPageKeyWords, CMS_Document.DocumentPageDescription, CMS_Document.DocumentMenuCaption, 
                      CMS_Document.DocumentPageTemplateID, CMS_PageTemplate.PageTemplateID, CMS_PageTemplate.PageTemplateDisplayName, 
                      CMS_PageTemplate.PageTemplateDescription, CMS_PageTemplate.PageTemplateFile, CMS_PageTemplate.PageTemplateIsPortal, 
                      CMS_PageTemplate.PageTemplateCategoryID, CMS_PageTemplate.PageTemplateLayoutID, 
                      CMS_PageTemplate.PageTemplateWebParts, CMS_PageTemplate.PageTemplateIsReusable, CMS_Class.ClassName, 
                      CMS_Document.DocumentContent, CMS_PageTemplate.PageTemplateCodeName, CMS_Document.DocumentStylesheetID, 
                      CMS_Tree.IsSecuredNode, CMS_Document.DocumentMenuRedirectUrl, CMS_PageTemplate.PageTemplateInheritPageLevels, 
                      CMS_PageTemplate.PageTemplateShowAsMasterTemplate, CMS_Document.DocumentMenuJavascript, 
                      CMS_Tree.NodeCacheMinutes
FROM         CMS_Tree INNER JOIN
                      CMS_Class ON CMS_Tree.NodeClassID = CMS_Class.ClassID LEFT OUTER JOIN
                      CMS_Document ON 1 = 0 LEFT OUTER JOIN
                      CMS_PageTemplate ON 1 = 0
